== Changelog ==

= 2.12.1 July 06, 2026 =

* Enhancements:

  - Added: Ability to handle local website URLs resources (image, audio, video from Media Library, 3rd-party local URLs embed to iframe) in the oEmbed-type field value.
  - Added: The API key field type for the settings fields.

* Bugfixes:

  - Fixed: Security issue, CVE ID: CVE-2026-4248. Extern blacklist filter for convert_tag replace placeholders function. (Additional keys were researched by Hrro. This info added for the Wordfence team if they need this information).
  - Fixed: Security issue when accidentally `manage_options` level user role can be listed in the User Role dropdown on the registration/edit profile forms. (Researched by Haitam Lazaar).
  - Fixed: Set <iframe> size proportions during responsive handlers.
  - Fixed: mousewheel action during member directory loading and overlay is displayed.
  - Fixed: WP_Styles notice due to not loaded `um_modal` styles.
  - Fixed: oEmbed-type field styles.

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.12.0 June 12, 2026 =

* Bugfixes:

  - Fixed: Security issue, CVE ID: CVE-2026-7761.
    - Restricted `get_directory_by_hash()` function to only match posts with post_type='um_directory' and publish post status.
    - Used `0 === strpos()` instead of `strstr()` for getting proper post_data.
    - Added condition for getting only allowed fields in tagline_fields and reveal_fields to `build_user_card_data()`.
  - Fixed: Security issue, CVE ID: CVE-2026-8489.
    - Used WordPress native `wp_kses()` escaper for displaying user_description field. Used WordPress native `make_clickable()` function to make raw links clickable.
  - Fixed: Security issue, CVE ID: CVE-2026-xxxx. Make the role and status visible for the user who can edit these users in the request. Reported by [Ben Tamam](bentamam.github.io).
  - Fixed: Remove UM option function when the option value equals "0".

* Deprecated:

  - Temporary deprecated: UM REST API. Legacy feature that has to be refactored. Will be refactored and re-released soon.

= 2.11.4 April 30, 2026 =

* Enhancements:

  - Added: Checking format of the 3rd-party registered custom fields. Avoid PHP errors related to the wrong format or unexpected attributes.

* Bugfixes:

  - Fixed: Added uploader fields accept argument for set allowed mime-types in the upload dialog window. Updated 3.1.2 version of this library [hayageek/jquery-upload-file](https://github.com/hayageek/jquery-upload-file/). Don't use 4.0.11 version for now.
  - Fixed: JS initialization of the empty uploader fields.
  - Fixed: User Profile URLs in the User Profile form on the not-predefined pages placed via shortcode.

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.11.3 March 26, 2026 =

* Enhancements:

  - Added: UM > Settings > Advanced > APIs section for set available APIs settings.
  - Added: GoogleMaps API setting when it's available.
  - Added: Function `UM()->mail()->enabled_email()` for checking if the email notification is enabled by the user.
  - Added: `color` type of sanitize settings saved in wp-admin.
  - Added: Checking array type of submission data when `url` type of sanitize is used in wp-admin.
  - Added: Enhance UM form sanitization filter with $form_data param. Added the $form_data parameter to the `um_sanitize_form_submission` filter.
  - Added: Option for special character requirement for passwords. It's situated in "General > Users > Password requires special character" (based on @faisalahammad suggestions)
  - Added: Filter hook `um_before_account_delete_text` for changing before delete account text by 3rd-party plugins. End-customers can use it for translations.
  - Added: Filter hook `um_custom_{$message_key}` (`um_custom_pending_message`, `um_custom_checkmail_message`) for changing after-registration message based on the user status by 3rd-party plugins. End-customers can use it for translations.
  - Added: Filter hook `um_convert_tags_blacklist_fields` For 3rd-party integrations to control the usermeta keys in `um_convert_tags()` function.
  - Added: `.um-display-none` CSS utility + `umShow()/umHide()/umToggle()` jQuery helpers.
  - Added: `um-notice` JS library.

* Bugfixes:

  - Fixed: Security issue, CVE ID: CVE-2026-4248. Added blacklist filter for convert_tag replace placeholders function.
  - Fixed: HTML sanitization logic for textarea-type custom fields with enabled HTML using setting.
  - Fixed: WP editor formatting to prevent incorrect HTML entity conversion when using html-mode in the textarea-type custom fields. Applied and removed this filter dynamically to avoid interfering with other processes.
  - Fixed: Dynamic string translation pattern and improve escaping. Replaced incorrect __('%s') pattern. (@faisalahammad)
  - Fixed: `wp_die()` function triggering on the frontend actions. Added UM notice above the User Profile page. (based on @faisalahammad suggestions)
  - Fixed: Password reset key handling for multiple users. Previously, the static reset key caused issues when handling password resets for multiple users simultaneously.
  - Fixed: `um_trim_string()` function for using with UTF-8 symbols.
  - Fixed: PHP Notice: Function WP_Scripts::add was called incorrectly.

* Templates Requiring Update:

  - members.php
  - message.php
  - restricted-blog.php
  - restricted-taxonomy.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.11.2 February 10, 2026 =

* Enhancements:

  - Added: Server-side validation when the Search Form is submitted.
  - Added: Action hook `um_approve_user_on_email_confirmation` to natively approve the user after validating the email activation link.
  - Added: JS filter wp.hook `um_member_directory_popstate_ignore` to stop window.pushSate in the member directory for 3rd-party integrations.

* Bugfixes:

  - Fixed: Security issue, CVE ID: CVE-2025-15064. Deprecated the ability to use HTML inside the user description. It's still allowed to use only predefined 'user_description' tags in `wp_kses()`.
  - Fixed: Security issue, CVE ID: CVE-2026-1404. Modified template item formatting to avoid using HTML characters in the filter values.
  - Fixed: Profile photo dropdown menu position for screens smaller than 340px.
  - Fixed: Display of the saved value of the "Privacy Options" > "Allowed roles" setting for the member directory.
  - Fixed: Information in Site-Health about the registration form's `Template` and `Role` settings.
  - Fixed: Information in Site-Health about the login and profile form's `Template` settings.

* Templates Requiring Update:

  - members.php
  - searchform.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.11.1 December 16, 2025 =

* Enhancements:

  - Added: 'Privacy Options' for Member Directory. 'Who can see this member directory' and 'Allowed Roles'.
  - Added: 'Rate Limit' setting for nopriv AJAX actions.

* Bugfixes:

  - Fixed: Security issue CVE ID: CVE-2025-13220. Used `shortcode_atts()` function to avoid using wrong attributes.
  - Fixed: Security issue CVE ID: CVE-2025-13217. Implementing proper input sanitization and escaping for iframe URLs in YouTube, Vimeo, and Google Maps embeds.
  - Fixed: Security issue CVE ID: CVE-2025-14081. Filtering fields based on user permissions during Account form submission.
  - Fixed: Security issue CVE ID: CVE-2025-12492. Added directory privacy settings and added rate limiting.

* Templates Requiring Update:

  - members.php
  - members-grid.php
  - members-list.php

= 2.11.0 December 02, 2025 =

* Enhancements:

  - Added: Extra condition for checking the license activation requests.
  - Added: 2nd `$args` attribute to the action hook 'um_cover_area_content'.
  - Added: `$args` and `$user_id` attributes to the action hook 'um_after_profile_header_name'.
  - Added: Class `um-profile-subnav-{$subnav_id}-link` to the sub navigation links in the User Profile page.
  - Tweak: Updated `Extensions_Updater` class to use Action Scheduler in the upgrade process of the UM extensions.

* Bugfixes:

  - Fixed: User profile links in the comments section on the frontend when the `$comment->user_id` is empty.
  - Fixed: The `emotize` function regexp for better emoji converting.
  - Fixed: The conflict between the image uploader and lazy-loading attribute added by 3rd-party plugins.
  - Fixed: PHP warnings for roles without meta data.
  - Fixed: Typo in labels.

= 2.10.6 October 02, 2025 =

* Enhancements:

  - Added: Avoid caching of the UM Forms on the mobile devices via adding the nocache headers to the screens with UM Forms.
  - Added: Filter hook `um_get_empty_status_users_query_result` for changing default query on the different websites to optimize it.
  - Added: Filter hook `um_admin_settings_get_pages_list_args` for changing WP_Query arguments for getting pages visible in the dropdown fields in UM Settings.
  - Added: JS filter hook `um_admin_blocks_prefixes_excluded` for excluding 3rd-party Gutenberg blocks with predefined prefixes from UM restriction arguments.
  - Added: WebP file-extension support for UM uploader.
  - Added: `UM_LICENSE_REQUEST_DEBUG` constant for debugging license activation process when it's needed.
  - Added: `Extensions_Updater` class to standardize the upgrade process in UM extensions.
  - Added: Sanitize handlers `sanitize_array_key_int` and `sanitize_array_key` for making sanitize in UM extensions' settings.

* Bugfixes:

  - Fixed: Changed the view and the edit user profile links in the comments section on the frontend.
  - Fixed: `Contains` conditional logic operand when value is array.
  - Fixed: Getting cover_size for displaying it in the member directory card.
  - Fixed: Filter's range for numeric-type fields to avoid getting the empty values.
  - Fixed: Integer validation for the 'start_of_week' WP native setting.
  - Fixed: Dependencies with Action Scheduler library.

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.10.5 June 25, 2025 =

* Enhancements:

  - Added: Filter hook [`um_password_reset_form_primary_btn_classes`](https://ultimatemember.github.io/ultimatemember/hooks/um_password_reset_form_primary_btn_classes.html) for primary button classes in UM Password Reset form.
  - Added: Filter hook [`um_login_form_primary_btn_classes`](https://ultimatemember.github.io/ultimatemember/hooks/um_login_form_primary_btn_classes.html) for primary button classes in UM Login form.
  - Added: Filter hook [`um_register_form_primary_btn_classes`](https://ultimatemember.github.io/ultimatemember/hooks/um_register_form_primary_btn_classes.html) for primary button classes in UM Registration form.
  - Tweak: Refactored Site Health data, added hooks for 3rd-party integration.
  - Tweak: Avoid using `um_user( 'password_reset_link' )` and make it directly with `UM()->password()->reset_url( $user_id )` for getting a proper reset URL.
  - Tweak: Avoid using `um_user( 'account_activation_link' )` and make it directly with `UM()->permalinks()->activate_url( $user_id )` for getting a proper activation URL.

* Bugfixes:

  - Fixed: Stripped shortcodes in the user data during the Account, Registration and Profile forms submission. (Thanks to [MissVeronica](https://github.com/MissVeronica))
  - Fixed: Email placeholders values.
  - Fixed: Refactor deactivation logic to un-schedule Action Scheduler actions.
  - Fixed: Action Scheduler library errors. Updated to the recent 3.9.2 version.
  - Fixed: Secondary email field validation.
  - Fixed: Action Scheduler batch actions with users who have Undefined status.
  - Fixed: Restrictions for 3rd-party Gutenberg Blocks.
  - Fixed: Date/time picker filter-types range query on Member Directories.
  - Fixed: Renamed "Macedonia, the former Yugoslav Republic of" to the official "North Macedonia".

* Deprecated:

  - Fully deprecated `account_activation_link_tags_patterns( $placeholders )` function. It's not used previously. Used email function arguments instead.
  - Fully deprecated `account_activation_link_tags_replaces( $replace_placeholders )` function. It's not used previously. Used email function arguments instead.
  - Fully deprecated `UM()->profile()->add_placeholder()` function. Used email function arguments instead.
  - Fully deprecated `UM()->profile()->add_replace_placeholder()` function. Used email function arguments instead.
  - Fully deprecated `UM()->user()->add_activation_placeholder()` function. Used email function arguments instead.
  - Fully deprecated `UM()->user()->add_activation_replace_placeholder()` function. Used email function arguments instead.
  - Deprecated `UM()->user()->maybe_generate_password_reset_key( $userdata )` function. Use `UM()->common()->users()->maybe_generate_password_reset_key( $userdata )` instead.
  - Deprecated `UM()->user()->set_last_login()` function. Use `UM()->common()->users()->set_last_login( $user_id )` instead.

* Templates Requiring Update:

  - password-reset.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.10.4 May 15, 2025 =

* Bugfixes:

  - Fixed: Security issue CVE ID: CVE-2025-47691. Used "sniccowp/php-scoper-wordpress-excludes" for getting the recent WordPress functions list and added them to the dynamic blacklist based on the WordPress version.
  - Fixed: The Action Scheduler action `um_set_default_account_status`. Case when some users were approved manually or deleted, and we need to reset the admin notice. Added `error_log()` to the wrong conditions.
  - Fixed: Reset Password request from not a predefined password reset page. It's possible to submit reset password form sitewide using block or shortcode.
  - Fixed: Setting 'Allow users to change email' for the Account page. It works now for any role instead of only the roles with 'Can edit other member accounts?' capability enabled.

= 2.10.3 April 24, 2025 =

* Enhancements:

  - Added: The `Ignore the "User Role > Registration Options"` setting. It provides an ability to auto-approve users if they were created via wp-admin > Users screen.
  - Tweak: Avoid email notifications to Administrator about user registration via wp-admin > Users screen.
  - Tweak: Updated the Action Scheduler implementation to improve flexibility and clarity. Refactor Action Scheduler for not only email handling.

* Bugfixes:

  - Fixed: Member Directory styles when it's rendered on the Gutenberg builder page.
  - Fixed: Member Directory filtering query when the custom users metatable is used.
  - Fixed: PHP Warning that occurs when using the `getimagesize` function with an image from an external source.
  - Fixed: Reset Password email notification's the {password_reset_link}` placeholder.
  - Fixed: Changed "Turkey" to the current official term "Türkiye".

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.10.2 April 02, 2025 =

* Enhancements:

  - Added: `UM()->common()-filesystem()::maybe_init_wp_filesystem();` method.
  - Added: `UM()->common()-filesystem()::remove_dir();` method.

* Bugfixes:

  - Fixed: Security issue CVE ID: CVE-2025-1702. Reviewed general search scripts and suggested another solution that uses only `$wpdb->prepare()`.

= 2.10.1 March 03, 2025 =

* Bugfixes:

  - Fixed: Security issue CVE ID: CVE-2025-1702.
  - Fixed: Activation link redirects to Reset Password after registration without password field and required email activation.
  - Fixed: Honeypot scripts/styles for themes without pre-rendered shortcodes. Enqueue honeypot scripts/styles everytime.
  - Fixed: Profile photo metadata when Gravatar image is used.

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.10.0 February 18, 2025 =

* Enhancements:

  - Added: User Profile `form-id` attribute and updated code for Profile/Cover photos actions dropdowns.
  - Added: Honeypot scripts/styles via `wp_add_inline_script()`, `wp_add_inline_style()` changed from direct adding in header and footer.
  - Updated: We've made improvements to requests for extension updates to boost stability.
  - Updated: PHP requirement - the minimum PHP version is now upgraded to 7.0.
  - Updated: Using $wpdb and WPCS for queries. Set minimum required version to 6.2 due to using %i for `$wpdb->prepare()`.
  - Updated: Revised wp-admin user actions handling. Now, the required capability is `edit_users` instead of `manage_options`.
  - Removed: User Profile hidden inputs on view mode.
  - Tweak: WPCS enhancements.

* Bugfixes:

  - Fixed: Security issue CVE ID: CVE-2024-12276.
  - Fixed: Custom usermeta table metakeys for filtering in member directory (from `_money_spent` to `wc_money_spent_` and added `wc_order_count_`).
  - Fixed: Layout for "Download your data" and "Erase of your data" fields.
  - Fixed: Image sizes used for Open Graph meta in User Profile headers are now corrected.
  - Fixed: "Delete account text" settings visibility issue in wp-admin.
  - Fixed: The "Privacy Policy" field in the registration form. Disallowed HTML from the "Privacy Policy" content (like `<form>`) is filtered out by the `wp_kses()` function.
  - Fixed: Password fields are now sanitized the WordPress native way, with `wp_unslash()` omitted post-submission.

* Templates Requiring Update:

  - gdpr-register.php
  - profile.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.9.2 January 14, 2025 =

* Enhancements:

  - Added: Compatibility with the new [Ultimate Member - Zapier](https://ultimatemember.com/extensions/zapier/) extension
  - Added: Only approved user Reset Password setting defined as true by default
  - Added: `UM()->is_new_ui()` function for future enhancements related to new UI
  - Added: Filter hook `um_before_user_submitted_registration_data`
  - Tweak: Changed hook's priority for initialization of email templates paths
  - Tweak: Removed `load_plugin_textdomain` due to (article)[https://make.wordpress.org/core/2024/10/21/i18n-improvements-6-7/#Enhanced-support-for-only-using-PHP-translation-files]

* Bugfixes:

  - Fixed: Security issue CVE ID: CVE-2025-0308
  - Fixed: Security issue CVE ID: CVE-2025-0318
  - Fixed: Using placeholders in email templates when Action Scheduler is active. Using `fetch_user_id` attribute for fetching necessary user before sending email
  - Fixed: PHP 8.4 compatibility. Using WordPress native `wp_is_mobile()` instead of MobileDetect library
  - Fixed: PHP errors related to `UM()->localize()` function
  - Fixed: PHP errors in user meta header when `last_update` meta is empty
  - Fixed: Small CSS changes and avoid duplicates
  - Fixed: Removed ms-native show password button for type="password" field in UM forms
  - Fixed: Define scalable attribute for cropper

* Deprecated:

  - Fully deprecated `UM()->mobile()` function
  - Fully deprecated `UM()->localize()` function
  - Fully deprecated `um_language_textdomain` filter hook

* Templates Requiring Update:

  - account.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.9.1 November 15, 2024 =

* Enhancements:

  - Added: `um_image_upload_validation` hook for 3rd-party validation during upload images

* Bugfixes:

  - Fixed: "Load textdomain just in time" issue
  - Fixed: Capabilities checking in the wp-admin > Users list table
  - Fixed: File/image upload on the role specific profile form
  - Fixed: Issues when the form's custom fields meta has a wrong format
  - Fixed: Validation of the "Registration Default Role" slug
  - Fixed: Allowed query variables via registered REST API class only when REST_REQUEST is defined

= 2.9.0 November 12, 2024 =

* Enhancements:

  - Added: Action Scheduler (version 3.8.1) for email sending. More info is [here](https://actionscheduler.org/)
  - Added: Supporting new `wp_register_block_metadata_collection()` function for registering WP Blocks

* Bugfixes:

  - Fixed: `ajax_image_upload()` and `ajax_resize_image()` handlers vulnerability. CVE ID: CVE-2024-10528
  - Fixed: Disabling user status column wp-admin > Users screen
  - Fixed: User status filter on wp-admin > Users on mobile devices
  - Fixed: Extra unwrapping of the WP Editor field's value

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.8.9 October 14, 2024 =

* Enhancements:

  - Added: Using PHP tidy extension (if it's active) to make HTML textarea value clear
  - Added: `um_tidy_config` filter hook for setting PHP tidy config
  - Tweak: Avoid using force `set_status()` function.
  - Tweak: Properly using `UM()->common()->users()->get_status( $user_id )` instead of `um_user( 'account_status' )`
  - Tweak: Properly using `UM()->common()->users()->get_status( $user_id, 'formatted' )` instead of `um_user( 'account_status_name' )`
  - Tweak: Properly using `um_user( 'status' )` for getting user role setting while registration

* Bugfixes:

  - Fixed: UM tipsy removing inside .um-page selector (e.g. tipsy init from um-modal)
  - Fixed: Rollback using `<iframe>` for displaying HTML formatted textarea value
  - Fixed: Capability to edit user profile for Administrator when user doesn't have a capability to edit its profile
  - Fixed: Sending email notifications based on user status after registration
  - Fixed: PHP error when meta `um_member_directory_data` has a wrong format

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.8.8 October 04, 2024 =

* Bugfixes:

  - Fixed: Download routing initialization
  - Fixed: Textarea height and HTML formatted textarea field height isolated via `<iframe>` on view mode
  - Fixed: User registration if email activation or admin review are required
  - Fixed: First installation errors

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.8.7 October 01, 2024 =

* Enhancements:

  - Added: Single user actions on WP Users list table
  - Updated: User status filter on WP Users list table
  - Updated: User bulk actions on WP Users list table
  - Updated: User actions on User Profile and Member Directory card
  - Added: Applying shortcodes in the post restriction message
  - Added: ProfilePage Structured Data
  - Added: Ability to use HTML tags (allowed in `wp_kses_post`) in the global block restriction message
  - Changed: Some wp-admin fields descriptions
  - Updated: Data format in `um_admin_bulk_user_actions_hook` filter hook. Changed format from `$action_slug => array( 'label' => $action_title )` to `$action_slug => $action_title`
  - Added: `$old_status` param to `um_after_user_status_is_changed` action hook
  - Added: `$user_id` param to `um_before_user_hash_is_changed` action hook
  - Added: `$user_id, $hash, $expiration` params to `um_after_user_hash_is_changed` action hook
  - Added: `um_restricted_post_content` filter hook
  - Added: `um_loggedin_inner_content` filter hook
  - Added: `um_profile_dynamic_meta_profile_schema` filter hook
  - Removed: `UM()->fields()->get_restricted_fields_for_edit()` function from a fields loop

* Bugfixes:

  - Fixed: Single user action on User Profile security vulnerability. CVE ID: CVE-2024-8520
  - Fixed: [um_loggedin] shortcode security vulnerability. CVE ID: CVE-2024-8519
  - Fixed: Performance issue related to Settings > Secure tab
  - Fixed: The "Clear All" button in the member directory did not reset all dependent dropdowns
  - Fixed: Telegram and Discord social links in profile header
  - Fixed: UM links to empty phone numbers
  - Fixed: Email changing via User Account flush session. Security enhancement because email can be used for login
  - Fixed: User Profile image URL in meta tags
  - Fixed: Empty User Profile and PHP Fatal error when cannot get profile field data
  - Fixed: Parsing /modal/ templates and parsing templates on the Windows hosting
  - Fixed: Validation `form_id` attribute in the `ultimatemember` shortcode

* Templates Requiring Update:

  - login-to-view.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

* Deprecated:

  - Hook: Action hook `um_after_user_status_is_changed_hook`. Use action hook `um_after_user_status_is_changed` instead.
  - Hook: Action hook `um_when_status_is_set`. Use action hook `um_before_user_status_is_set` instead.
  - Hook: Action hook `um_admin_user_action_hook`. Use filter hook `um_handle_bulk_actions-users-{$current_action}` for custom user bulk actions instead.
  - Hook: Action hook `um_admin_user_action_{$bulk_action}_hook`. Use filter hook `um_handle_bulk_actions-users-{$current_action}` for custom user bulk actions instead.
  - Hook: Action hook `um_admin_custom_hook_{$action}`. Use filter hook `um_handle_bulk_actions-users-{$current_action}` for custom user bulk actions instead.
  - Hook: Filter hook `um_admin_views_users`. Use filter 'um_user_statuses_admin_filter_options' hook instead.
  - Function: `UM()->user()->set_status( $status )`. Use function `UM()->common()->users()->set_status( $status, $user_id )` instead.
  - Function: `UM()->user()->assign_secretkey()`. Use function `UM()->common()->users()->assign_secretkey( $user_id )` instead.
  - Function: `UM()->user()->approve( $repeat )`. Use function `UM()->common()->users()->approve( $user_id, $force )` instead.
  - Function: `UM()->user()->email_pending()`. Use function `UM()->common()->users()->send_activation( $user_id, $force )` instead.
  - Function: `UM()->user()->pending()`. Use function `UM()->common()->users()->set_as_pending( $user_id, $force )` instead.
  - Function: `UM()->user()->reject()`. Use function `UM()->common()->users()->reject( $user_id )` instead.
  - Function: `UM()->user()->deactivate()`. Use function `UM()->common()->users()->deactivate( $user_id )` instead.
  - Function: `UM()->user()->user_exists_by_id( $user_id )`. Use function `UM()->common()->users()::user_exists( $user_id )` instead.
  - Function: `UM()->files()->format_bytes( $size )`. Use function `UM()->common()->filesystem()::format_bytes( $size )` instead.

= 2.8.6 May 22, 2024 =

* Enhancements:

  - Added: Member Directory > Admin Filtering supports datepicker and timepicker filter-types with only "From" or "To" filled value
  - Added: Ability to customize modal templates upload-single.php and view-photo.php
  - Added: New FontAwesome library. Version 6.5.2

* Bugfixes:

  - Fixed: Using HTML in the block restriction message. Replaced escaper to wp_kses sanitize while saving
  - Fixed: Getting user capabilities without role
  - Fixed: YouTube validation when field value is empty
  - Fixed: Social URLs sanitizing where user can put his social username (e.g. Instagram, Facebook)
  - Fixed: Using only published forms and member directories IDs on predefined pages installation
  - Fixed: Member Directory before query hook when custom meta table is active
  - Fixed: Unique email validation
  - Fixed: Displaying asterisk on the Profile > View Mode
  - Fixed: PHP errors while upgrade from 1.3.x version
  - Fixed: Rating field view
  - Fixed: Sorting by last login value when "Hide my last login" is set
  - Fixed: PHP errors while uploading files
  - Fixed: Parsing error on the license activation

* Templates Requiring Update:

  - Renamed templates/modal/um_upload_single.php → templates/modal/upload-single.php
  - Renamed templates/modal/um_view_photo.php → templates/modal/view-photo.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.8.5: April 9, 2024 =

* Enhancements:

  - Added: "Hide my last login" via the Account > Privacy setting
  - Added: Exclude and Include fields for member directory searching
  - Tweak: Compatibility with WordPress 6.5

* Bugfixes:

  - Fixed: URL attributes escaping (CVE-2024-2765)
  - Fixed: wp-admin Ultimate Member > Dashboard layouts
  - Fixed: Required fields labels
  - Fixed: Change password and update account email notifications duplicates
  - Fixed: Reset Password urlencoded username
  - Fixed: Clear media JS in wp-admin settings

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.8.4: March 6, 2024 =

* Enhancements:

  - Tweak: Added separate file for full changelog. readme.txt shows only a few latest versions

* Bugfixes:

  - Fixed: Member directory data sanitizing (CVE-2024-2123)
  - Fixed: Activation link time changed from seconds to days
  - Fixed: Password validation error
  - Fixed: Password reset url for the approved user who didn't set their password after registration without password
  - Fixed: Conflict with WebP Uploads

= 2.8.3: February 19, 2024 =

* Enhancements:

  - Added: Link to the Ultimate Member docs
  - Tweak: Ultimate Member > Settings redesign. More details about setting up. Tooltips changed to descriptions.

* Bugfixes:

  - Fixed: Member directory queries to custom usermeta table properly escaped and validated
  - Fixed: Member directory custom sorting when wp_usermeta table is used
  - Fixed: aria-invalid attribute for the user description field
  - Fixed: wp_kses protocols for email notifications content
  - Fixed: PHP notice while registration form validation
  - Fixed: Field validations (English letters, Alpha-numeric types)
  - Fixed: Hidden buttons in the modal when uploading profile and cover photo
  - Fixed: Theme updater log message
  - Fixed: Search line shortcode layout
  - Fixed: PHP notice while login form submission
  - Fixed: Email notifications HTML layout
  - Fixed: Default email notification body color
  - Fixed: Ignore username slug when custom meta slug exists when parse user from query

* Templates Requiring Update:

  - email/notification_deletion.php
  - email/notification_new_user.php
  - email/notification_review.php
  - email/welcome_email.php
  - password-change.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.8.2: January 15, 2024 =

* Enhancements:

  - Added: The `data` protocol for embedding base64 encoded logos in emails
  - Added: Hook `um_access_restricted_post_instance` for filtering the restricted post instance
  - Added: Shortcode `[um_author_profile_link]` for getting user Profile URL
  - Updated: Using underscore.js native debounce method for resize handler
  - Updated: Texts spelling

* Bugfixes:

  - Fixed: AJAX requests conflict with `um_current_locale` attribute
  - Fixed: Pickadate styling (Date & Time fields) in wp-admin screen
  - Fixed: RTL styling and removed `um` class from UM frontend predefined pages
  - Fixed: select2 conflict with Impreza theme
  - Fixed: cropper conflict with Avada theme and active Fusion Image lazyload
  - Fixed: MegaMenu conflict with nav menu items conditional settings (e.g. Newsletter theme)
  - Fixed: PHP Fatal error when there isn't a proper WP_Post object in UM User Profile > Posts loop
  - Fixed: Account styles
  - Fixed: Saving `um_form_version` postmeta

* Templates Requiring Update:

  - profile/posts-single.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.8.1: December 20, 2023 =

* Enhancements:

  - Updated: Twitter texts to X
  - Added: Safeguards against clickjacking attacks on UM Forms

* Bugfixes:

  - Fixed: Displaying notice to avoid using wrong symbols
  - Fixed: UM > Settings button styles
  - Fixed: Error notice when creating page via extensions
  - Fixed: Workaround for Cropper.JS if UM.frontend.cropper.obj undefined (Cropper hasn't been properly inited for UM objects)
  - Fixed: The visibility of sub-items of hidden menu items

= 2.8.0: December 11, 2023 =

* Enhancements:

  - Refactored: wp-admin assets. Separated or merged some file based on the wp-admin screens
  - Tweak: SASS pre-processor is used for wp-admin styles.
  - Tweak: Using minified JS and CSS in wp-admin and frontend assets
  - Tweak: Added PHP class UM()->admin()->screen() for screen control in wp-admin
  - Updated: jquery-ui styles to 1.13.2 version. Prefixed with .um class.
  - Updated: Cropper.JS to 1.6.1 version
  - Note: Select2.JS version 4.0.13
  - Refreshed: Tipsy.JS to 1.0.0a version. Removed custom changes and restored library base code
  - Refreshed: Raty.JS to 2.6.0 version. Restored library base code
  - Refreshed: Pickadate.JS to 3.6.2 version. Restored library base code
  - Updated: Used `um-tip-{x}` classes to make Tipsy.JS initialization commonly for wp-admin and frontend.
  - Updated: wp-admin forms class and render icon type field
  - Updated: Using `custom_submitdiv` on the UM Form and UM Member Directory screen to avoid custom styling for unnecessary metabox functionality. Just to render the necessary metabox content with only submission tools.

* Bugfixes:

  - Fixed: Using fields with numeric keys in Form Builder
  - Fixed: Pickadate.JS (datetime picker) localizations using
  - Fixed: PHP notices on the SiteHealth and Form Builder pages
  - Fixed: Using 'um_user_permissions_filter' hook and it's arguments.

* Deprecated:

  - Removed Simplebar.JS library in Ultimate Member core. It's used only in extensions.
  - Removed outdated styles and scripts for 1.3.x first install page
  - `UM()->admin()->enqueue()->js_url` param. Please use `UM()->admin()->enqueue()::get_url( 'js' );` or `self::get_url( 'js' );` instead
  - `UM()->admin()->enqueue()->css_url` param. Please use `UM()->admin()->enqueue()::get_url( 'css' );` or `self::get_url( 'js' );` instead
  - `UM()->frontend()->enqueue()->js_url` param. Please use `UM()->frontend()->enqueue()::get_url( 'js' );` or `self::get_url( 'js' );` instead
  - `UM()->frontend()->enqueue()->css_url` param. Please use `UM()->frontend()->enqueue()::get_url( 'css' );` or `self::get_url( 'js' );` instead
  - Fully `UM()->permalinks()->um_rel_canonical_()` function. Because since version 2.1.7 there is used `um_profile_remove_wpseo();` alternative
  - Fully `UM()->permalinks()->admin_act_url()` function. Since update for wp-admin links when there is nonce this function isn't used
  - Fully `UM()->admin()->enqueue()->front_js_baseurl` param.
  - Fully `UM()->admin()->enqueue()->front_css_baseurl` param.
  - Fully `UM()->admin()->enqueue()->post_page` param.
  - Fully `UM()->frontend()->enqueue()->load_google_charts()` function. Outdated.
  - Fully `UM()->frontend()->enqueue()->load_fileupload()` function. Used scripts/styles dependencies to load script in the necessary place.
  - Fully `UM()->frontend()->enqueue()->load_datetimepicker()` function.  Used scripts/styles dependencies to load script in the necessary place.
  - Fully `UM()->frontend()->enqueue()->load_scrollbar()` function. Outdated
  - Fully `UM()->frontend()->enqueue()->load_imagecrop()` function. Used scripts/styles dependencies to load script in the necessary place.
  - `UM()->is_um_screen()` function. Please use `UM()->admin()->screen()->is_own_screen()` instead
  - `UM()->is_plugin_post_type()` function. Please use `UM()->admin()->screen()->is_own_post_type()` instead
  - `UM()->is_restricted_entity()` function. Please use `UM()->admin()->screen()->is_restricted_entity()` instead
  - `UM()->cpt_list()` function. Please use `UM()->common()->cpt()->get_list()` instead
  - `um-admin-clear` CSS class. It duplicates WordPress native `clear`. Using WordPress native instead.
  - `um-admin-tipsy-{x}` classes to make Tipsy.JS initialization commonly for wp-admin and frontend by `um-tip-{x}` class.

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.7.0: October 11, 2023 =

* Enhancements:

  - Added: Site Health sections
  - Added: oEmbed field type
  - Added: YouTube field type supports YouTube Shorts links
  - Added: Profile permalink base options: Unique hash, Custom usermeta
  - Added: UM Form meta `um_form_version` for legacy support in the future
  - Added: Setting "Deleting user comments after deleting a user" for WordPress native logic workaround
  - Added: `aria-invalid` and `aria-errormessage` attributes to the fields on UM Forms
  - Updated: Structure for enqueue assets PHP classes
  - Updated: [Hooks Documentation v2](https://ultimatemember.github.io/ultimatemember/hooks/)

* Bugfixes:

  - Fixed: Member directory search query escaping process
  - Fixed: Added 'ID' metakey to the blacklist. It's not possible to create field with 'ID' metakey to avoid the conflict
  - Fixed: Add/Edit Field metabox and "Field Icon", "Conditional logic" fields
  - Fixed: Init `jquery-slider-ui` script/style on the block editor page
  - Fixed: Displaying "Notifications Account Tab" setting
  - Fixed: Displaying Post Date on the User Profile > Posts tab based on this [article](https://make.wordpress.org/core/2019/09/23/date-time-improvements-wp-5-3/)
  - Fixed: Small PHP warning, notices and typos

* Deprecated:

  - `UM()->enqueue()` use `UM()->frontend()->enqueue()` method
  - `UM()->admin_enqueue()` use `UM()->admin()->enqueue()` method
  - `UM()->admin_enqueue()->suffix` property use `UM()->frontend()->enqueue()::get_suffix()`
  - `UM()->admin()->enqueue()->suffix` property use `UM()->frontend()->enqueue()::get_suffix()`
  - Changed directories for the fonts (fonticons + raty), and JS/CSS files related to libs `jquery-ui`, `raty`, `select2`, `tipsy`, `fonticons (FontAwesome + Ionicons)`

* Templates Requiring Update:

  - account.php
  - login.php
  - password-change.php
  - password-reset.php
  - register.php
  - profile/posts-single.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.6.11: September 06, 2023 =

* Bugfixes:

  - Fixed: Empty mail From data when there isn't set an option
  - Fixed: Nonce validation for the admin actions handler
  - Fixed: REST API endpoint List Pages redirecting to the homepage
  - Fixed: Standardize the 'editable' attribute for the UM fields and hooks that can extend these fields
  - Fixed: Redirection from default WordPress registration to UM registration page (if it's not a published)

= 2.6.10: August 17, 2023 =

* Enhancements:

  - Added: 'um_can_view_profile' hook to operate with profile privacy
  - Added: 'um_member_directory_core_search_fields' hook to operate with core searching fields in member directory search
  - Tweak: Standardize the condition for checking not editable fields to `empty( $data['editable'] )`
  - Tweak: Unified `UM()->fields()->editing` and `UM()->fields()->viewing` to bool variables use true|false in conditions to make `===` or `!==` comparing
  - Updated: [Hooks Documentation v2](https://ultimatemember.github.io/ultimatemember/hooks/)

* Bugfixes:

  - Fixed: Restriction settings handler when there isn't a WP_Post in query. PHP notices in some cases when WP query is not canonical
  - Fixed: User description (Biography) field conflict with validation (max chars) in both cases when HTML can be used or not. Case when there are 2 biography fields are displayed on the profile (header + form field)
  - Fixed: Displaying WordPress native registration errors when unique username|email validation is disabled
  - Fixed: Make links clickable in the Registration Details
  - Fixed: WP_Users_Query on wp-admin > Users screen
  - Fixed: Performance for `um_get_form_fields` hook
  - Fixed: Admin Modal JS library conflict with bootstrap.js

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.6.9: July 26, 2023 =

* Enhancements:

  - Added: Compatibility with UM:Stripe extension
  - Added: Show/hide password button for toggle password visibility
  - Added: JS scripts for syncing biography fields if there are the 1st field in the profile header and the 2nd field in the profile form

* Bugfixes:

  - Fixed: Using allowed hosts for safe redirect after profile deletion
  - Fixed: Nonce validation for the admin actions handler
  - Fixed: Using singleton for UM Forms and UM Account shortcodes. Empty pages issue
  - Fixed: PHP errors in admin notices
  - Fixed: PHP errors on UM Profile update when there is multiselect field
  - Fixed: UM Form and UM Member Directories titles un-slashed. Please re-update the entities where you have extra-slashes
  - Fixed: Maximum allowed words option for textarea where you may insert HTML tags. Ignore HTML tags symbols when count
  - Fixed: Sanitize for fields (Min characters, Max characters, etc.) where can be empty string or absint value

* Templates Requiring Update:

  - profile.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.6.8: July 19, 2023 =

* Enhancements:

  - Added: Secure settings. [Read more](https://docs.ultimatemember.com/article/1869-security-feature)
  - Added: Admin notices about possible security issues. For example, regarding the roles with which the user can register on the site
  - Added: `um_edit_profile_url` hook for force changing user profile edit URL
  - Added: Additional hook attributes to 'um_reset_password_errors_hook' and 'um_reset_password_process_hook'
  - Added: $form_data attribute to 'um_before_save_registration_details' hook
  - Added: `um_safe_redirect()` function for handle `wp_safe_redirect()` function with new the "Allowed hosts for safe redirect" setting
  - Updated: [Hooks Documentation v2](https://ultimatemember.github.io/ultimatemember/hooks/)

* Bugfixes:

  - Fixed: Updating user description if there isn't custom field on profile form, but field is displayed on profile top
  - Fixed: Delete Row and Sub-Row actions in UM Form Builder. Avoid cases when fields from rows and sub-rows are still in form after delete their parents rows
  - Fixed: Ultimate Member WP Cron schedule events starting time. Daily event starts since 12:00AM for now. The similar for weekly and twice-daily events
  - Fixed: Custom sorting label issue on the Member Directory header
  - Fixed: Disabled not-editable fields on UM Forms
  - Fixed: Disabled fields attribute on UM Forms
  - Fixed: Registration with empty role. Set default if role fields on the form are empty when form is submitted
  - Fixed: Admin notices after UM actions has unique key with 'um_' prefix for now
  - Fixed: Escaping form errors. It used `esc_html()` but now there is `wp_kses()`
  - Fixed: Stop render 2 similar shortcodes on the same page (e.g. 2 login forms with the same `form_id`). To return back use [`um_ultimatemember_shortcode_disable_singleton`](https://ultimatemember.github.io/ultimatemember/hooks/um_ultimatemember_shortcode_disable_singleton.html) hook
  - Fixed: Stop render Ultimate Member forms (Login, Profile, Registration, Member Directory) on the predefined Account page
  - Fixed: Using blocks with Ultimate Member shortcodes on the predefined Ultimate Member pages
  - Fixed: Using some specific functions which cannot exist if PHP modules are disabled

* Deprecated:

  - Deprecated: Unnecessary `um_multiselect_option_value` hook

* Templates Requiring Update:

  - members.php

= 2.6.7: July 1, 2023 =

* Bugfixes:

  - Fixed: A privilege escalation vulnerability used through UM Forms. Known in the wild that vulnerability allowed strangers to create administrator-level WordPress users. Please update immediately and check all administrator-level users on your website.
  - Fixed: Displaying fields on Account page > Privacy > Member directory settings
  - Fixed: Allowed types for the file field
  - Fixed: Disabled weekdays for the datepicker field

= 2.6.6: June 29, 2023 =

* Bugfixes:

  - Fixed: Password Confirm field and validation
  - Fixed: Form Builder row editing
  - Fixed: Spotify URL user URL display on user profile
  - Fixed: Spotify URL validation

= 2.6.5: June 28, 2023 =

* Enhancements:

  - Removed: `extract()` function and increase supporting WordPress Code Standards
  - Updated: [Hooks Documentation v2](https://ultimatemember.github.io/ultimatemember/hooks/)

* Bugfixes:

  - Fixed: A privilege escalation vulnerability used through UM Forms. Known in the wild that vulnerability allowed strangers to create administrator-level WordPress users. Please update immediately and check all administrator-level users on your website.

= 2.6.4: June 27, 2023 =

* Enhancements:

  - Added: Avoid using `extract()` function and increase supporting WordPress Code Standards

* Bugfixes:

  - Fixed: PHP8.2 PHP errors (deprecated, warnings, etc.)
  - Fixed: Using `str_contains()` in template override
  - Fixed: Override templates and custom path for 'members-grid.php', 'members-header.php', 'members-list.php', 'members-pagination.php', 'searchform.php', 'login-to-view.php', 'profile/comments.php', 'profile/comments-single.php', 'profile/posts.php', 'profile/posts-single.php', 'modal/um_upload_single.php', 'modal/um_view_photo.php' template files
  - Fixed: Custom emails data "--- UM Email HTML Templates ---" in Install info

= 2.6.3: June 14, 2023 =

* Enhancements:

  - Added: `um_profile_menu_link_{$id}_attrs` hook for changing link attributes
  - Added: `get_member_directory_id()` function for getting member directory ID based on page ID
  - Added: The "Order" and "Data type" settings for custom sorting fields based on metakey in Member Directory
  - Added: New hooks `um_profile_permalink`,`um_external_profile_url`
  - Added: Users dropdown field to Admin Forms class
  - Added: Spotify URL field type
  - Added: New developer docs [here](http://ultimatemember.github.io/ultimatemember/). It will be upgraded from version to version

* Bugfixes:

  - Fixed: PHP8.2 PHP errors (deprecated, warnings, etc.)
  - Fixed: Filters visibility on member directory page based on public or private visibility for filter's field
  - Fixed: Incorrect Member Directory numerical sorting order
  - Fixed: wp_editor() doesn't work correctly in content restriction settings for Mac users
  - Fixed: Profile links when WPML plugin is active
  - Fixed: ACF and UM blocks conflict
  - Fixed: `UM()->mail()->locate_template()` function's visibility

* Deprecated:

  - Deprecated: `um_localize_permalink_filter`. Use `post_link` instead

* Templates Requiring Update:

  - members.php

= 2.6.2: May 31, 2023 =

* Bugfixes:

  - Fixed: Email notifications sending
  - Fixed: File and Image uploaders and allowed types data for them
  - Fixed: Content field-type editor in wp-admin Form Builder
  - Fixed: Image and File uploaders max size saving in wp-admin Form Builder

= 2.6.1: May 29, 2023 =

* Enhancements:

  - Added: Override templates versioning utility for wp-admin
  - Added: Style and class attributes to `info_text` field type in settings
  - Added: Emails to install info
  - Added: 'um_email_get_template_file_path' hook
  - Added: Merging data passed with original field data when `edit_field()` function running
  - Added: loading="lazy" for avatars and cover photos
  - Tweak: Changed Discord account validation
  - Tweak: Changes the structure for the Gutenberg blocks' scripts and way of registration
  - Tweak: Removed `filter_input` function using

* Bugfixes:

  - Fixed: Removed the hidden in UI taxonomies from the Access > Enable the "Content Restriction" settings for taxonomies setting
  - Fixed: Dynamically declared variables inside the classes for PHP8 installations
  - Fixed: Added wpnonce attribute for duplicate UM Form link
  - Fixed: Sanitize restriction messages when Gutenberg block is restricted
  - Fixed: Login form error class vulnerability

* All templates required update. Please add the version comments to your custom templates in themes

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.6.0: March 29, 2023 =

* Enhancements:

  - Added: Hook arguments ($form_id, $not_searched) to 'um_members_directory_head'
  - Added: Using user locale `get_user_locale()` for localization with the 1st priority
  - Added: Hooks to change the profile SEO image: 'um_profile_dynamic_meta_image_size', 'um_profile_dynamic_meta_image_type'
  - Added: Filter for making 3rd-party roles editable through Ultimate Member interfaces. Use 'um_extend_editable_roles' and pass there an array of role keys( e.g. 'editor', 'administrator', etc. )

* Bugfixes:

  - Fixed: Major issues with the Member Directory search line
  - Fixed: Social links (Twitch, TikTok, Reddit) colors in profile header
  - Fixed: Exclude registered date field from editable fields
  - Fixed: Create the custom table for usermeta if does not exists
  - Fixed: Locale loading time and hook for that
  - Fixed: Used `wp_unslash()` for input POST data on Change Password
  - Fixed: Role setting "Avoid indexing profile by search engines"
  - Fixed: Date Picker field value format for 3rd-party integration meta fields
  - Fixed: Last login timestamp being lost in the users cache
  - Fixed: Textdomain typos
  - Fixed: Small PHP warnings and notices

* Deprecated:

  - Deprecated: VKontakte and Google+ predefined fields. VKontakte and Google+ fields validation changed to just URL validation.

* Templates Requiring Update:
  - members.php

= 2.5.4: February 17, 2023 =

* Enhancements:

  - Added: TikTok, Twitch and Reddit fields
  - Added: Handler of restriction settings for blog page
  - Added: Support of the `<iframes>` inside textarea with enabled the "HTML using" option
  - Added: 'um_get_field_date' hook for filtering date fields
  - Added: `UM()->get_allowed_html()` function for using it inside wp_kses allowed HTML tags

* Bugfixes:

  - Fixed: Redirect to some links when content is restricted. Using `esc_url_raw()` instead of `esc_url()` for redirect to URLs inside class-access.php
  - Fixed: Handle restriction settings for attachments, later hook is used for checking capabilities through `current_user_can()`
  - Fixed: Honeypot triggering in password reset, when not set
  - Fixed: Small PHP notices and warnings

= 2.5.3: December 19, 2022 =

* Bugfixes:

  - Fixed: Plugin upgrade DB initialization and PHP Fatal Error.

= 2.5.2: December 14, 2022 =

* Enhancements:

  - Added: Custom dropdown callback functions security enhancements. Avoid using blacklisted functions through namespace or uppercase format
  - Added: Validation for upgrade package in wp-admin
  - Added: `Change Password request limit` option for prevent from any brute-force attacks or password guessing with the form
  - Added: Strong password checking for not using username|email inside the password
  - Added: `um_custom_authenticate_error_codes` hook for handling 3rd-party login errors on UM invalid form

* Bugfixes:

  - Fixed: Some texts sanitizing
  - Fixed: PHP Error in url-type field on UM Forms
  - Fixed: Using `wp_mkdir` to avoid the filesystem conflict when copy email template to theme
  - Fixed: Password Reset URL generating
  - Fixed: Multiple users approve
  - Fixed: Using regular URL-type field for displaying

* Templates Requiring Update:
  - members.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.5.1: October 26, 2022 =

* Enhancements:

  - Added: Custom fields callbacks blacklist. Use `um_dropdown_options_source_blacklist` filter for adding your custom functions to the custom callbacks blacklist. By default there are all PHP internal functions.

* Bugfixes:

  - Fixed: Posts' restriction that is based on term restriction settings
  - Fixed: Issue with class name in checkbox and radio. Class name being 'activeright' instead of 'active right'
  - Fixed: Admin upgrade scripts and upgrades pack validation
  - Fixed: Directory traversal vulnerabilities
  - Fixed: Destroying user sessions after changing "Approved" status to something else (e.g. deactivated)
  - Fixed: Conflict when `wp_get_current_user()` not exists. Transferred restriction settings callbacks to `plugins_loaded` hook
  - Fixed: Restriction post displaying when 404 is enabled and old restiction logic isn't active
  - Fixed: PHP warning when nav menu is empty
  - Fixed: Disable auto-login after user is registered by Administrator and UM Registration form
  - Fixed: Some typos errors
  - Fixed: Using an apostrophe symbols in emails for registration and login both
  - Fixed: Sanitizing YouTube links. Applying both https://youtu.be/xxxxxxx and https://youtube.com/xxxxxxx links

* Deprecated:

  - Removed: Outdated setting using in code (force_display_name_capitlized). Moved the functionality to extended [repo](https://github.com/ultimatemember/Extended/tree/main/um-capitalize-name#readme)

= 2.5.0: August 17, 2022 =

* Enhancements:

  - Added: Input type "tel" using for the "Mobile Number" and "Phone Number" fields

* Bugfixes:

  - Fixed: Performance issue on wp-admin Users screen. Queries were replaced to the cache transient values
  - Fixed: Privacy policy displaying when there are 2 registration forms on the same page
  - Fixed: Password Reset process via Ultimate Member - Password Reset form. Reset password links' arguments changed to the same view as WordPress native has. Password Reset available for the same cases as native WordPress Password Reset has
  - Fixed: Sanitizing for the Info Text field-type in wp-admin forms. Needed for the proper 3rd-party integrations
  - Fixed: Displaying the filters' titles on the Member Directory pages

* Deprecated:

  - `UM()->query()->get_users_by_status()` without alternativities. It's unused since 2.5.0. Will be removed since 2.7.0
  - `UM()->user()->get_pending_users_count()`. Use `UM()->query()->get_pending_users_count()` instead. It's unused since 2.5.0. Will be removed since 2.7.0
  - `UM()->user()->remove_cached_queue()` without alternativities. It's unused since 2.5.0. Will be removed since 2.7.0

* Templates Requiring Update:
  - password-change.php
  - password-reset.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.4.2: July 14, 2022 =

* Bugfixes:

  - Fixed: Member Directory vulnerabilities
  - Fixed: 3rd-party integration with profile tabs and ability to show edit profile form on the 3rd-party profile tab
  - Fixed: PHP fatal error on unset
  - Fixed: select2 style conflicts with 3rd-party plugins

= 2.4.1: June 13, 2022 =

* Enhancements:

  - Added: Number-type Ultimate Member custom fields to the list of the sorting fields on the member directory

* Bugfixes:

  - Fixed: XSS issue related to the JS confirmation and links with JS code inside
  - Fixed: PHP error when `um_options` option in wp_options table doesn't exist or has wrong format
  - Fixed: select2 styles for RTL languages
  - Fixed: Using slashes in the `Choices callback` setting for the dropdown/multi-select fields. It's for the using PHP namespaces
  - Fixed: Deleting `um_member_directory_data` user meta when user is deleted
  - Fixed: Using special chars inside the password and avoid using "\" symbol (WordPress native logic)
  - Fixed: Conflict when `wp_get_current_user()` not exists
  - Fixed: Changed hook for member directory variables initialization for getting ability to use Ultimate Member hooks for customizing these variables via theme
  - Fixed: Remove a redundant WP_Users_Query when getting empty `account_status` users

= 2.4.0: June 1, 2022 =

* Enhancements:

  - Added: "Allow external link redirect confirm" setting for the displaying JS.confirm alert before redirect to external link from User Profile links
  - Added: "Allowed Choice Callbacks" setting for the security enhancements

* Bugfixes:

  - Fixed: PHP warning when nav menu is empty
  - Fixed: Security issue related to the User Description field
  - Fixed: Security issue related to the [um_loggedin] shortcode
  - Fixed: Using $current_screen without checking for existence
  - Fixed: `remove_unused_uploads()` function for some PHP installations

= 2.3.2: April 21, 2022 =

* Enhancements:

  - Added: wp-admin notice with reminder about locking WordPress native registration for guests
  - Added: Users dropdown field for Ultimate Member settings fields in wp-admin. It supports AJAX lazy loading
  - Added: JS confirm when redirection from User Profile links to the 3rd-party URL

* Bugfixes:

  - Fixed: PHP warning when there aren't proper user while login
  - Fixed: Removing UM custom capabilities from global $wp_roles when uninstall
  - Fixed: Removing UM custom roles from user roles after uninstall
  - Fixed: Issue with echo XSS on User Profile
  - Fixed: Sanitizing for the checkbox, radio, multiselect fields for PHP8 installations

* Deprecated:

  - `um_whitelisted_wpadmin_access` hook and `wpadmin_allow_ips` option. They were unused and redundant since the 2.x version

= 2.3.1: February 9, 2022 =

* Enhancements:

  - Added: wp-admin notice on the Settings page when settings have been changed (#963)
  - Added: WP Blocks restriction settings for the blocks (templates/nav-menu) on the FSE pages
  - Added: UM-specific query_var for UM additional Users_Query on users.php screen in wp-admin. `um_custom_user_query` = true
  - Added: Ability for dropdown.js to use it inside parent wrapper (not only document.body)
  - Changed: Using WP Cron schedules. Un-schedule events after plugin deactivation
  - Removed: `um_check_extensions_licenses` and replaced it to `um_daily_scheduled_events` event

* Bugfixes:

  - Fixed: "Can user edit this field?" fields' option for the file/image upload field-types (#958)
  - Fixed: Using uppercase symbols in the "Blocked Email Addresses" and "Blacklist Words" blacklists settings (#962)
  - Fixed: PHP warning related to the Ultimate Member custom fields without type
  - Fixed: Some typos in the labels (#975)
  - Fixed: UX issue with wrong text on the admin notice about upgrade
  - Fixed: UX issue with Blacklist Words and Blocked Email settings labels. Added a small description about per line separation (#962)
  - Fixed: Sorting the Extensions settings sections

= 2.3.0: December 20, 2021 =

* Enhancements:

  - Added: WhatsApp, Telegram, Discord, Viber messengers predefined fields.
  - Added: Callback for deleting the custom field data from member direcroty settings when this custom field has been deleted in Form Builder.
  - Added: 'um_account_active_tab_inited' JS hook.
  - Updated: Require a strong password option (`Ultimate Member > Settings > General > Users > Require a strong password?`) to make it common for all Ultimate Member forms. Renamed option key from `reset_require_strongpass` to `require_strongpass`.
  - Updated: Form errors texts on the login/password reset forms. Made them secure.
  - Deprecated: `Ultimate Member > Settings > General > Account > Require a strong password?` option and merged with `Ultimate Member > Settings > General > Users > Require a strong password?` option.

* Bugfixes:

  - Fixed: "Clear All" button for the filters with "&" symbol in the label.
  - Fixed: Uninstall process when delete UM data. Avoid the issue when 3rd-party pages that had been selected as UM page are removed on UM uninstall.
  - Fixed: Header meta for the Twitter Card. If the user has twitter field filled then <meta name="twitter:site"> will be filled by this value.
  - Fixed: Member directory a slider filter's label displaying. It uses the filled label for now.
  - Fixed: SkypeID field validation. Also all SkypeID fields on your forms changed type from `url` to `text`. SkypeID supports nicknames or https://join.skype.com/{hash} links.
  - Fixed: Typos in Account > Privacy tab texts related to Download/Erase the user data.
  - Fixed: Some typos in the fields' labels.
  - Fixed: "false" display name in the member directory. It displays empty for now if the user hasn't display name.
  - Fixed: `UM()->clean_array()` function.
  - Fixed: LinkedIn field URL. Added ability to display the organization URL.
  - Fixed: Canonical link of the user profile if WPML plugin is active.
  - Fixed: Replacing placeholders in nav menus. Used an earlier hook for filtering items before generating HTML and avoided issues with raw, not-escaped HTML inside tags' attributes.

* Templates Requiring Update:
  - members-grid.php
  - members-list.php
  - password-reset.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.2.5: September 22, 2021 =

* Enhancements:

  - Added: Ability to insert SoundCloud track URL instead of Track ID
  - Added: Settings for the password min/max length (Ultimate Member > Settings > Users)

* Bugfixes:

  - Fixed: Invalid role keys on the role list-table + role edit screen (case when latin symbols used with not UTF-8 symbols)
  - Fixed: Restriction logic and archive lists (+ nav menu bar) with active "Disable pre-queries for restriction content logic" option
  - Fixed: Restriction settings fields conditions on wp-admin screens
  - Fixed: Account `user_login` field validation removed as redundant. The field is disabled and not used in code flow
  - Fixed: `display_name` data update after First + Last name fields edition on the Account page
  - Fixed: Password length validation on the Account page and Password Reset page
  - Fixed: Using custom fields from multi-select dropdowns for user's `Display Name`. Unserialized custom field's values

= 2.2.4: August 27, 2021 =

* Bugfixes:

  - Fixed: Hiding comments feed for pages with active comments
  - Fixed: Changing the post title to the restricted value while displaying in the loop that uses direct `post_title` variable
  - Fixed: PHP errors related to not passed function attributes from 3rd-party plugins or themes when using WP native hooks
  - Fixed: Handling the login form errors via \WP_Error

= 2.2.3: August 25, 2021 =

* Enhancements:

  - Added: 'um_ignore_restricted_title' hook for workaround show post title of the restricted post
  - Added: Disable pre-queries for restriction content logic ('disable_restriction_pre_queries') option for backward compatibility with business logic where 404 error for restricted content isn't a good way
  - Added: Replace the restricted Post Title ('restricted_post_title_replace') option for ability to disable restricted post's title replace

* Bugfixes:

  - Fixed: `pre_get_terms` callback to avoid the conflicts with other terms queries
  - Fixed: Terms query and global access settings on PHP8 installations
  - Fixed: Member directory dropdown filters where options contain `&` symbol
  - Fixed: Displaying 404 error for the restricted Media
  - Fixed: Displaying 'Login as this user' action on the user profile
  - Fixed: Sanitizing of the social links fields (e.g. Twitter, Facebook, etc.)
  - Fixed: Visibility of a restricted taxonomy page in the nav menu
  - Fixed: Sanitizing key for the drag&drop action
  - Fixed: Sanitizing the description field with allowed HTML inside
  - Fixed: The "Assignment to constant variable" JS error on some sites
  - Fixed: Keep description formatting in a view mode
  - Fixed: Profile form nonce handling, security enhancement
  - Fixed: `um_edit_profile_url()`` function and added $user_id attribute
  - Optimized: Restriction content handlers, avoid queries duplicates or unnecessary queries

= 2.2.2: August 3, 2021 =

* Bugfixes:

  - Fixed: `is_restricted()` functions in class-access.php. Avoid using object as array offset

= 2.2.1: August 2, 2021 =

* Enhancements:

  - Added: Extended callback functions for sanitizing data in wp-admin forms fields
  - Added: Restricted Access Post Title setting

* Bugfixes:

  - Fixed: Restriction settings and related queries (comments, archives, recent posts, post navigation, etc.)
  - Fixed: Sanitizing `max-width` value of the Login/Registration/Profile form settings
  - Fixed: Sanitizing `in_group` field's data
  - Fixed: Restriction settings related with `Hide in queries`
  - Fixed: Restriction settings and CPU performance issues on some installations
  - Fixed: Form meta settings and handling them on PHP8 installations
  - Fixed: Make it clearer the restriction settings form labels

= 2.2.0: July 20, 2021 =

* Enhancements:

  - Added: Sanitizing handlers to the Ultimate Member > Settings forms' fields
  - Added: Sanitizing handlers to the Ultimate Member > User Role Add/Edit forms' fields
  - Added: Sanitizing handlers to the Ultimate Member > Forms forms' fields
  - Added: Sanitizing handlers to the Ultimate Member > Forms > Add Field/Edit Field forms' fields
  - Added: Sanitizing handlers to the Ultimate Member > User Roles forms' fields
  - Added: Sanitizing handlers to the Restriction Content forms' fields in the posts/pages/menus additional fields
  - Added: Sanitizing handlers to the all (Login/Registration/Profile/Account) frontend forms' fields
  - Added: Custom placeholder setting for the Confirm Password field

* Bugfixes:

  - Fixed: Content restriction settings using in Avada theme with active page headers
  - Fixed: Content restriction (CPT + Terms). Avoid displaying comments if the post is restricted
  - Fixed: Content restriction (CPT + Terms). Avoid displaying comments and posts feed
  - Fixed: Content restriction (CPT + Terms). Displaying the proper count of the posts. Restricted are excluded
  - Fixed: Saving and displaying settings on the UM > Settings > Access screen
  - Fixed: Saving and displaying default Member Directory settings
  - Fixed: Minor PHP warnings on registration data preview
  - Fixed: Member directory slider filter-type query and results
  - Fixed: Uploader filename displaying

* Tweaks:

  - WordPress 5.8 compatibility. Widgets screen changes based on the new features with Legacy Widget block

* Templates Requiring Update:
  - members.php
  - password-reset.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.1.21: June 17, 2021 =

* Enhancements:
  - Added: `um_scripts.max_upload_size` localized variable getting from `wp_max_upload_size()`
  - Updated: dropdown.js library to make the stable working

* Bugfixes:
  - Fixed: Displaying different profile form shortcodes with different role visibility settings on the same page
  - Fixed: Displaying avatar on the logout page
  - Fixed: Role meta sanitizing and related XSS vulnerability

* Templates Requiring Update:
  - logout.php
  - members.php
  - members-list.php

* Note: Cached and optimized/minified assets(JS/CSS) must be flushed/re-generated after the upgrade *

= 2.1.20: May 7, 2021 =

* Enhancements:
  - Added: Hook `um_registration_for_loggedin_users` to unlock the ability to add new users through the registration form
  - Added: Filter hook 'um_change_usermeta_for_update' for extending `$to_update` usermeta array after all profile fields validations
  - Added: Filter hook 'um_profile_tabs_privacy_list' and 'um_profile_menu_can_view_tab' for extending privacy options for Profile Tabs

* Bugfixes:
  - Fixed: XSS vulnerability when getting user profile URL
  - Fixed: Temp directory size calculation

= 2.1.19: April 20, 2021 =

* Bugfixes:
  - Fixed: Endless JS loop when filtering on Member Directory page

= 2.1.18: April 19, 2021 =

* Bugfixes:
  - Fixed: Endless JS loop when filtering on Member Directory page
  - Fixed: Regular expression for registration form and username field (added ability to use spaces) (#812)

= 2.1.17: April 14, 2021 =

* Enhancements:
  - Added: Activation link expiration setting (#803)
  - Added: 'Owner and specific roles' privacy type for the Profile tabs (#773)
  - Added: Hooks `um_before_email_notification_sending` and `um_after_email_notification_sending` regarding #743 pull-request
  - Added: Hooks for integration member directory filters with different conditions for query to DB

* Bugfixes:
  - Fixed: Editing private profiles capability. Removed the priority for "Can edit other member accounts?" capability when the account is private. (#805)
  - Fixed: PHP notice when the admin filtering field has the not array default value (e.g. bool)
  - Fixed: The conflict with [Disable Blog](https://wordpress.org/plugins/disable-blog/) plugin regarding this [issue](https://wordpress.org/support/topic/ultimate-member-file-image-download/). `download_routing` callback has the highest priority now.
  - Fixed: Fields privacy functionality. This function `um_can_view_field()` has been rewritten (#780)
  - Fixed: Fields privacy + form validation functionality. Skip the field's validation that aren't visible on the form based on the privacy settings (#795)
  - Fixed: PHP notice in the confirm password label [wp.org thread](https://wordpress.org/support/topic/undefined-index-label-php-notice/)
  - Fixed: Confirm password placeholder when label is empty
  - Fixed: Permanently deleting form's field (#786)
  - Fixed: Default value with comma for checkbox field-type (#729)
  - Fixed: Gutenberg blocks conditional settings (#793)
  - Fixed: Getting active Profile tab when some of them are hidden
  - Fixed: Restricted content message is showing twice and removing header, avoid the conflicts with themes that use 'the_content' filter in header or footer (#799)
  - Fixed: "Is required" validation for the multiselect field-type when it's empty on submit
  - Fixed: Using 'wp_login_failed' hook, added 2nd parameter required since WordPress 5.4 version (#810)

= 2.1.16: March 10, 2021 =

* Enhancements:
  - Added: General and role setting to avoid indexing users' profiles
  - Added: `um_prepare_user_results_array_meta` hook and the 2nd argument for `um_prepare_user_results_array` hook for handle $user_ids based on getting members query
  - Added: Change password email when the password has been reset
  - Added: jQuery v3 compatibility
  - Added: An option "Administrator" in a menu settings to make the menu visible for administrators only

* Bugfixes:
  - Fixed: Creating and removing usermeta data with `password_rst_attempts` key, just update if exists for now
  - Fixed: Using 'edit_users' capability instead of 'manage_options' for approve|reject membership
  - Fixed: Using 'manage_options' capability instead of 'delete_users' for switching between members
  - Fixed: Using myCRED points metakeys in UM usermeta table
  - Fixed: Empty icons are shown in the popup "Choose from... available icons"
  - Fixed: Member Directory slider filter with NaN or decimal range
  - Fixed: PHP notices and warnings
  - Fixed: Security vulnerability with User Account page and password field
  - Fixed: User creating without username but based on first+last name with not-ASCII symbols
  - Fixed: Password reset hash generating more than 1 time
  - Fixed: Random order type translation string on the member directory
  - Fixed: Resize and compress images when uploading on User Profile images fields or user wall
  - Fixed: Displaying more than 1 UM popups on the same page
  - Fixed: UM dropdown.js position calculation
  - Fixed: Select2 dropdown block position calculation

* Tweaks:
  - Updated: Select2 to 4.0.13 version

= 2.1.15: December 24, 2020 =

* Bugfixes:
  - Fixed: Conditional logic for the form fields without metakeys

= 2.1.14: December 22, 2020 =

* Enhancements:
  - Added a tooltip with meta key name for fields in a form settings
  - Added `Administrator` user role to a restriction setting (to make the content visible only for `Administrator` role)

* Bugfixes:
  - Added third parameter $args to the action hook for Profile Tab redirections `um_user_after_updating_profile`
  - Fixed issues with fields without metakeys when trying to display them by the hook
  - Fixed PHP notices/warnings

= 2.1.13: December 8, 2020 =

* Enhancements:

  - Added: `um_member_directory_cover_image_size` hook with ability to change the cover photo size on the member directory
  - Added: `um_member_directory_avatar_image_size` hook with ability to change the profile photo size on the member directory
  - Added: `um_member_directory_get_members_allow` JS hook for 3rd-party integration with the member directory. You could use a time throttle until some data is loaded
  - Added: Notice about the fields' conditional logic rules + small CSS enhancements
  - Added: Invalid nonce validation on Login and Registration pages instead of wp_die()
  - Added: Privacy settings for the Divider field type (#688)
  - Added: Ability for the integration with Gutenberg Block restriction settings (extends the block restriction settings via 3rd-party plugins)
  - Added: Strings translations

* Bugfixes:

  - Fixed: Upgrade process on websites where a hosting locks the frequent AJAX requests (added default JS throttle between requests)
  - Fixed: Getting page content of the GDPR privacy policies
  - Fixed: Password strength validation for Unicode symbols
  - Fixed: Issue with apostrophe options in the multiselect/checkbox fields (#689)
  - Fixed: Translation for Password field's label
  - Fixed: Download Personal Data URL
  - Fixed: Vulnerability with timestamp field on UM Forms (the hidden field with name='timestamp' is deprecated)

* Tweaks:

  - There are changed PHP’s intval(), strval(), floatval(), and boolval() typecasting functions to (int), (string), (float) and (bool) regarding [this doc](https://make.wordpress.org/core/2020/11/20/miscellaneous-developer-focused-changes-in-wordpress-5-6/).

= 2.1.12: October 29, 2020 =

* Enhancements:

  - Added ratings required notice and warning

* Bugfixes:

  - Fixed conflict with other plugins with user 'status' in admin
  - Fixed security patch for UM forms handlers
  - Fixed security patch for handlers on the edit users' roles
  - Fixed member directory admin filtering by the field with uppercase in 'key'
  - Fixed member directory sorting by the full name
  - Fixed registration form with not editable role field
  - Fixed PHP notice for the filter without field's label
  - Fixed PHP notice on Admin_Form class initialization
  - Fixed style of the textarea field
  - Fixed Confirm Password field's placeholder

= 2.1.11: October 6, 2020 =

* Bugfixes:

  - Fixed can_view_profile() function
  - Fixed security patch for role change via profile form
  - Fixed admin-menu PHP notice

= 2.1.10: September 23, 2020 =

* Enhancements:

  - Deprecated the Feed widget from Ultimate Member dashboard

* Bugfixes:

  - Fixed age filter at Member Directory when using WP native usermeta table
  - Fixed the role field values at the user profile/registration forms
  - Fixed PHP notice when cover photo is empty
  - Fixed the conflict issue with Pickadate JS library and their legacy.js functions
  - Fixed Gutenberg Blocks descriptions

= 2.1.9: September 9, 2020 =

* Bugfixes:

  - Fixed security patch for role change via profile form

= 2.1.8: September 2, 2020 =

* Enhancements:

  - Added dependency functions for extensions: [Ultimate Member - User Notes](https://ultimatemember.com/extensions/user-notes/) & [Ultimate Member - Profile Tabs](https://ultimatemember.com/extensions/profile-tabs/)
  - Added unique IDs to the form fields at the Profile's view mode
  - Added restrictions for WP > Users list table based on UM Roles capabilities

* Bugfixes:

  - Removed additional slashes in the UM custom roles titles
  - Fixed cleaning user old uploads and integration with Social activity & Groups files
  - Fixed Info window fields (hide fields without metakeys)
  - Fixed PHP warning in conditional logic function
  - Fixed member directory preloader when using a slider filter
  - Fixed 'redirect_to' attribute and approving user on registration
  - Fixed activate an account via email

= 2.1.7: August 12, 2020 =

* Enhancements:

  - Added dependency functions for plugins: [Ultimate Member - JobBoardWP integration](https://wordpress.org/plugins/um-jobboardwp) & [JobBoardWP](https://wordpress.org/plugins/jobboardwp)
  - Added account privacy setting for the avoiding profile indexation
  - Added setting "Change image orientation" based on image EXIF data
  - Added setting "Account Deletion without password Custom Text"

* Bugfixes:

  - Fixed security lacks for 'redirect_to' attributes
  - Fixed account submission when change a password
  - Fixed updating UM roles metadata (WP capabilities section) when 3rd-party plugins update the caps for the UM roles
  - Fixed member directory roles in query (the case when selected some roles, but current user can see another only)
  - Fixed member directory sorting
  - Fixed member directory list dropdown init after changing view type
  - Fixed member directory admin filtering by the 'user_registered' field
  - Fixed validation when using HTML in textarea
  - Fixed cleaning user old uploads
  - Fixed conditional logic for file/image-type fields
  - Fixed "get_profile_photo_size" function (avoid PHP notice with array_combine)
  - Fixed password reset/change form when other forms are initialized at the same page
  - Fixed getting extension updates on multisites
  - Fixed the 'wp_authenticate_user' filter's variables (changed username string to WP_User object)
  - Fixed SEO link canonical for the profile page
  - Fixed displaying error & notice when the text is empty

* Deprecated:

  - Deprecated JS event 'um_before_modal_removed', use wp.hooks action 'um_before_modal_removed' instead

= 2.1.6: June 1, 2020 =

* Enhancements:

  - Added The profile page SEO meta tags for OG, Twitter and schema.org
  - Added filter to the field's privacy option for the 3rd-party integrations 'um_field_privacy_options'
  - Added layout changes to show email notification description in Settings > Email screen
  - Added member directory option 'Exclude specific users'
  - Added filter for the changing redirect after profile edited 'um_update_profile_redirect_after'
  - Added JS filters for conditional logic
  - Tweak: apply_shortcodes() function support
  - Tweak: nav-menu custom fields using 'wp_nav_menu_item_custom_fields' hook

* Bugfixes:

  - Fixed custom meta table fields migration (create, edit, remove field actions)
  - Fixed wp-login.php and UM login form validation/errors triggers when using email for login
  - Fixed profile form duplicates, show only the first form shortcode on the page for the user with selected role
  - Fixed creating user uploads directory on registration
  - Fixed Role fields validation on registration
  - Fixed Erase User Data field on the Account page
  - Fixed profile privacy
  - Fixed SkypeID field
  - Fixed clickable links in the UM forms which are displayed in a modal window
  - Fixed disabling select and textarea fields in inactive tabs on Account
  - Fixed compatibility with jQuery 3.x and 'load' event
  - Fixed some translations
  - Small PHP notices fixes

= 2.1.5: April 2, 2020 =

* Enhancements:

  - Added number field-type to member directory filters
  - Changed export/erase personal data in account page
  - Sanitizing variables in wp-admin

* Bugfixes:

  - Fixed PHP notice 'form_id' on account submission
  - Fixed birthday range for member directory filter
  - Fixed fields visibility when user can edit other users
  - Fixed honeypot JS
  - Fixed edit mode for Role (Dropdown/Radio) fields (getting editable priority role)

= 2.1.4: February 24, 2020 =

* Enhancements:

  - Updated select2 JS library to 4.0.12 version
  - Added a few member directories PHP and JS filters for 3rd-party integrations
  - Added labels for member directories filters to increase Accessibility points in Audit
  - Added formatting for submitted data
  - Added fields notices functionality
  - Added sanitizing $_GET variables in wp-admin side

* Bugfixes:

  - Fixed activation licenses with sslverify
  - Fixed fields' options if they contains spaces in the start and the end of option (added trim)
  - Fixed getting range for slider filters
  - Fixed 2.1.3-beta3 package upgrade
  - Fixed resize image on registration form
  - Fixed multiselect field styles
  - Fixed issue with not editable fields and their visibility
  - Fixed displaying header with member counts
  - Fixed JS errors with not defined tinyMCE on Forms builder
  - Fixed issues with "key => value" fields (dropdown + multiselect) if 'um_select_options_pair' filter is used
  - Fixed social URLs validations
  - Fixed Ultimate Member wrapper's visibility on add/edit user page (wp-admin)
  - Fixed jQuery-UI library images
  - Fixed vulnerability with sanitizing $_POST
  - Fixed last login order on member directories when UM metatable is turned on
  - Fixed RTL styles at Account page and Member Directory

= 2.1.3: January 21, 2020 =

* Enhancements:

  - Added sorting by Last & First name
  - Added integrations with future extensions
  - Added filter for changing the order of options in select-type filter
  - Added GDPR template to get overwritten in the theme directory
  - Added member directories' custom sorting labels
  - Added ability to use custom metatable for faster requests for Member Directories
  - Added ability to request Erase or Download user data via Privacy tab at the Account page
  - Added an option to set the "Hide profile from directory" option by default

* Bugfixes:

  - Fixed [um_loggedin] shortcode render with htmlspecialchars_decode
  - Fixed checkbox options missing selections with conditional settings
  - Fixed vulnerability with uploading cover/profile photo for other user ID
  - Fixed integration with WPML for Account and User pages in case if there are different permalinks for different languages for these pages
  - Fixed issues with pagination settings
  - Fixed search line additional slashes
  - Fixed issues with member results JS template
  - Fixed getting posts count at the Posts tab for 3rd party integrations
  - Fixed member directories' admin filtering
  - Fixed issue with reset filters on member directory
  - Fixed getting image/file custom fields values in form submission with not validated values
  - Fixed JS handlers for select-type filters with callback and parent/child relations
  - Fixed um_convert_tags for array-type values
  - Fixed small CSS issues

= 2.1.2: December 4, 2019 =

* Enhancements:

  - Added text-type filters
  - Added sorting for filters, tagline and reveal section fields
  - Added universal hook for field's wrapper and improve rendering the field wrapper attributes
  - Added returning only existed values for select-type filters
  - Added checking privacy for custom fields in filters and general search, exclude private fields
  - Added Form fields validation for E-mail( not unique )
  - Added $user_id attribute in update profile hooks for proper callbacks

* Bugfixes:

  - Fixed fields privacy, editable and visibility attributes
  - Fixed member directory styles
  - Fixed random sorting
  - Fixed conflict with 'php_data' variable in admin JS
  - Fixed datepicker/timepicker filtering in the member directories
  - Fixed initialization of datepicker, timepicker, slider filters when the "Show results only after search/filtration" option is active
  - Fixed callback select-type filters handlers on member directories filters bar
  - Fixed cover photo thumbnail sizes in member directory
  - Fixed Role filter
  - Fixed clearing filters with || condition
  - Fixed endless recursion in the function um_check_conditions_on_submit()
  - Fixed issue that appears if we try to update several plugins at once
  - Fixed using different templates for different member directories
  - Fixed form previews, added overlay and displayed buttons
  - Fixed wp-admin/admin-post.php access issue

= 2.1.1: November 12, 2019 =

* Bugfixes:
  - Fixed admin actions hook
  - Fixed JS templates for list and grid view when user metakeys contain "-" symbol
  - Fixed JS template list "$show_block" issue
  - Fixed member directory search if 'roles_can_search' is set
  - Fixed member directory filters bar animation
  - Fixed save profile with Last Login field
  - Fixed admin builder for profile form, show not editable fields

= 2.1.0: November 11, 2019 =

* Enhancements:
  - Added member directory list view
  - Added member directory search bar
  - Added member directory filters by range, date and time
  - Added AJAXed member directories
  - Updated member directories' search engine
  - Additional parameter 'user_id' to action hook 'um_user_after_updating_profile'
  - Added ability to set profile/cover image sizes from Ultimate Member -> General -> Uploads settings or Original size
  - Added ability edit cover photo HTML (e.g. for adding some HTML attributes. See how add srcset attribute based on all generated cover sizes [here](https://docs.ultimatemember.com/article/1519-change-cover-photo-html))
  - Added custom date format for Date Picker field
  - Added hook 'um_show_meta_item_html' to customize user meta HTML at User Profile page
  - Added "aria-label" attribute in Field icon

* Bugfixes:
  - Optimized usermeta for Account submit security
  - Fixed flushing rewrite rules on every page reloading
  - Fixed Gmail & Yahoo UTF-8 encoding of email notification subject
  - Fixed ajax_resize_image() process
  - Fixed country fields values
  - Fixed dynamic_profile.php notice
  - Fixed integration with WP native admin_post and admin_post_nopriv requests
  - Fixed profile image settings
  - Fixed profile privacy for not logged in users, if restriction options set for profile page as visible only for logged in and showing message instead of redirect
    (it makes the same for {site_url}/user and {site_url}/user/{user_slug} )
  - Fixed security issue on registration form submission when username or email have conditional logic
  - Fixed RTL styles issues on user profile and account pages
  - Fixed upload profile/cover photos at the profile page, don't apply until the crop finished
  - Fixed alphabetical field validation for cyrillic and not UTF-8 symbols
  - Fixed user profile validation if username, username or email, password and email fields were added to form
  - Fixed user profile preview in admin Form Builder
  - Fixed getting templates function for some Windows servers
  - Fixed plugin update process for multisites
  - Fixed function "um_apply_conditions". An error appears with jQuery v2.1.3
  - Localized um-raty.js library
  - Localized strings

= 2.0.56: August 21, 2019 =

* Enhancements:
  - Added security fixes (XSS)
  - Added hooks for 3rd party integrations
  - Updated Datepicker & Timepicker library from 5.6 to 6.2 version

* Bugfixes:
  - Fixed validation of forms conditional fields at the backend (for the nesting fields)
  - Fixed edit profile mode when profile menu is disabled
  - Fixed RTL styles and layouts
  - Fixed user profile description validation
  - Fixed JS errors on some installs
  - Fixed ability approve users by Administrator with special capabilities
  - Fixed multiselects' retrieval of options from callback function
  - Fixed save process and conditional logic for Appearances -> Profile Menu settings section
  - Fixed uninstall process
  - Fixed is_selected method for some cases
  - Fixed form settings fields for default button labels in wp-admin metaboxes
  - Fixed generate metakeys for the form's custom fields
  - Fixed issue when UM Roles localized as object on Add/Edit User screen
  - Fixed PHP notices

= 2.0.55: August 16, 2019 =

* Bugfixes:
  - Fixed profile privacy for not logged in users, if restriction options set for profile page as visible only for logged in

= 2.0.54: July 22, 2019 =

* Enhancements:
  - Added security fixes (XSS)

* Bugfixes:
  - Fixed update process for not UM custom role
  - Fixed extensions licenses validation handler
  - Fixed profile tabs handlers

= 2.0.53: July 16, 2019 =

* Enhancements:
  - Added option to disable profile avatar uploader
  - Moved extensions icons to core

* Bugfixes:
  - Fixed Profile Tabs Privacy settings
  - Fixed Notifications Account tab view
  - Fixed warnings on validation process
  - Fixed slashes in some texts from options
  - Fixed callback functions for select and multiselect fields

= 2.0.52: July 11, 2019 =

* Enhancements:
  - Extended hooks for 3rd party integrations

* Bugfixes:
  - Fixed settings labels with CPT & Taxonomies
  - Fixed UM Roles create/edit XSS security issue
  - Fixed XSS security issue on account upgrade

= 2.0.51: July 09, 2019 =

* Bugfixes:
  - Fixed UM Roles create/edit security issue

= 2.0.50: July 02, 2019 =

* Enhancements:
  - Extended hooks for 3rd party integrations

* Bugfixes:
  - Fixed PHP notices when runs validation
  - Fixed loop issue with Profile tabs
  - Fixed home page restrictions

= 2.0.49: May 29, 2019 =

* Enhancements:
  - Extended hooks for 3rd party integrations

* Bugfixes:
  - Fixed security vulnerability with registration form
  - Fixed the using of deprecated send password hook

= 2.0.48: May 16, 2019 =

* Enhancements:
  - Added an ability to 3rd party integration with cover image actions

* Bugfixes:
  - Fixed ability to edit profile on not predefined Profile Page

= 2.0.47: May 14, 2019 =

* Bugfixes:
  - Fixed save special characters values
  - Fixed trim fields options before validation
  - Fixed save empty value at Profile Registration form in radio/checkbox/select/multiselect fields
  - Fixed displaying empty value of multiselect field at Profile Page
  - Fixed cover photo dropdown menus

= 2.0.46: May 10, 2019 =

* Bugfixes:
  - Fixed extensions' upgrader
  - Security vulnerabilities on Profile/Registration submit and file/images uploading
  - Fixed session clean on logout

= 2.0.45: May 08, 2019 =

* Bugfixes:
  - Fixed issues with Gutenberg scripts and UM blocks
  - Security vulnerabilities on Profile/Registration submit and file/images uploading

= 2.0.44: May 08, 2019 =

* Enhancements:
  - Added automatically template saver when you upgrade your theme
  - Added default value for Date and Time user profile fields
  - Updated Scroll library
  - Added REST API v2 class with new query vars. There is an ability to select v1 or v2 for use. For old users v1 is default, for new users v2

* Bugfixes:
  - Added nocache headers to reset password form
  - Email templates saving to child theme, if parent theme already has email template files
  - Email templates locate in the default plugin folder with active WPML
  - Form builder with some predefined form fields, which had different keys/metakeys (currently use the same)
  - Logout redirect with active WPML
  - Fixed $_SERVER usage when WP-CLI using
  - Extended integration for UM field value
  - um_user function avoid loop when 'display name' and 'full name' used
  - Restriction options for Terms and access on front-end
  - Plugin/Theme upgrader
  - Remove duplicate data 'user_login' from metadata
  - Replace placeholders duplicates
  - Password Reset link regeneration
  - Fixed issues with scroll on mobile devices
  - Fixed multisite activation

* Deprecated:
  - "Is Account page?" and "Is User page?" options for WPML integration ( because WPML translations works properly )

= 2.0.43: March 29, 2019 =

* Bugfixes:
  - Fixed Last Login order in Member Directory

= 2.0.42: March 28, 2019 =

* Enhancements:
  - Added option for enable/disable Gutenberg blocks

* Bugfixes:
  - Fixed conflicts with themes, which not support custom Gutenberg blocks via the option

= 2.0.41: March 27, 2019 =

* Enhancements:
  - Added Gutenberg blocks section with Ultimate Member shortcodes
  - Clear temp directory on upload process 1 day files old
  - Updated custom scrollbar JS library to jQuery 3 support

* Bugfixes:
  - Fixed vulnerability with Reset Password form
  - Fixed Edit Row settings
  - Fixed save profile fields with 0 values
  - Fixed upload photo base URL for Windows servers
  - Fixed displaying user Posts at Profile/Posts tab
  - Fixed unique filename issue, upload avatar with high case extension
  - Fixed member directory filter title
  - Fixed duplicate delete user handler
  - Fixed sorting by Last Login date for users without meta
  - Fixed hook after password reset (issue #532)
  - Fixed member directory user role filter
  - Fixed restriction content WC Products integration
  - Fixed words count for French in user description field
  - Fixed is_selected function for dropdown/multi-select/checkbox profile fields
  - Fixed disable email field at Edit Profile form via filter (disabled by default)

= 2.0.40: March 12, 2019 =

* Bugfixes:
  - Fixed security issue on user Account Update

= 2.0.39: February 11, 2019 =

* Enhancements:
  - Restored option for disable users cache
  - Transposh plugin integration

* Bugfixes:
  - Fixed delete users handlers on single/multisite installs
  - Fixed fields labels on member directory
  - Fixed profile form cover photo ratio value
  - Fixed profile and registration form default field's values
  - Fixed "is_selected" function with empty value and default value option
  - Fixed member directory notices with disabled metadata
  - Fixed textarea profile field formatting
  - Fixed registration without username field
  - Fixed flush password reset limit after successfully login
  - Fixed upload files handlers for avoid the conflicts with other plugins

= 2.0.38: January 10, 2019 =

* Enhancements:
  - Added option to enable Gutenberg Blocks restriction

= 2.0.37: January 8, 2019 =

* Enhancements:
  - Additional Block's restriction options
  - Added column to show User Account Status
  - Added filter for disabling Gutenberg blocks restriction to avoid themes conflicts

= 2.0.36: January 7, 2019 =

* Enhancements:
  - Added Block's restriction options
  - Added compatibility for upcoming User Events extension

* Bugfixes:
  - Fixed Live Preview form at wp-admin
  - Fixed tinyMCE editor loading in form builder
  - Fixed external function for dropdown options
  - Fixed Add New Menu Item handler
  - Fixed small notices at frontend
  - Fixed a few admin settings fields
  - Fixed displaying comments when they are disabled

= 2.0.35: December 9, 2018 =

* Bugfixes:
  - Fixed JS/CSS enqueue at wp-admin

= 2.0.34: December 7, 2018 =

* Enhancements:
  - Added new "Extensions" class for future integrations

* Bugfixes:
  - Fixed logout redirect vulnerability
  - Fixed modal window responsive position
  - Fixed class autoloader for Windows servers
  - Fixed admin forms integration
  - Fixed empty value for select2 selectbox
  - Fixed unchecked Remember Me by default on login page
  - Fixed admin forms esc_attr value
  - Fixed admin forms buttons wp_unslash
  - Fixed get/clean plugin upgrades on multisites
  - Fixed verify nonce on $_GET requests

* Deprecated:
  - removed "UM_TEXTDOMAIN" constant
  - removed function UM()->get_ajax_route() for AJAX vulnerability fix

= 2.0.33: November 22, 2018 =

* Bugfixes:
  - Fixed AJAX vulnerabilities
  - Fixed delete user email notification
  - Fixed profile tabs displaying

= 2.0.32: November 20, 2018 =

* Bugfixes:
  - Added compatibility with PHP7.2 (removed deprecated functions and ini variables)
  - Fixed duplicated "redirect_to" field
  - Fixed errors on the installs < PHP5.6
  - Fixed download files/images on the installs with the different home URL and site URL
  - Fixed unique emails in admin email notifications
  - Remove language notice, all translates are available on wp.org

= 2.0.31: November 14, 2018 =

* Bugfixes:
  - Fixed compatibility with JS/CSS cache plugins

= 2.0.30: November 12, 2018 =

* Bugfixes:
  - Fixed crop settings of the big images
  - Fixed WPML integration with email notifications
  - Fixed uppercase symbols using at profile page slug
  - Fixed download files/images with cache
  - Fixed download files/images with not closed buffers
  - Fixed looping in case if set 'display_name' as custom fields for display name setting
  - Fixed cover photo size
  - Fixed date time internalization
  - Fixed posts pagination for un-logged users
  - Fixed conditional JS
  - Fixed "um_" prefix for role data
  - Added compatibility for upcoming User Bookmarks extension

= 2.0.29: October 8, 2018 =

* Bugfixes:
  - Fixed User Profile Posts pagination

= 2.0.28: October 5, 2018 =

* Bugfixes:
  - Fixed Email notifications
  - Fixed Download files/images for multisites
  - Fixed Profile/Cover image for multisites
  - Fixed XSS vulnerabilities (detected by @Serhack)
  - Fixed trim fields on submit forms
  - Fixed submitted info

= 2.0.27: October 2, 2018 =

* Bugfixes:
  - Fixed files class

= 2.0.26: October 2, 2018 =

* Enhancements:
  - New files/images downloading process
  - Added dependencies with User Photos and Groups extensions

* Bugfixes:
  - File/Image email placeholders after registration form submitting
  - File/Image forms fields values on submit/edit
  - Fixed multisite file/image upload process
  - Fixed clearing old user sessions after the changing a password
  - Made reset password process via WP native functions

= 2.0.25: August 20, 2018 =

* Enhancements:
  - Upgrade minified scripts

= 2.0.24: August 15, 2018 =

* Bugfixes:
  - WP native AJAX using
  - Force purge temp files dir

= 2.0.23: August 10, 2018 =

* Bugfixes:
  - Fixed File/Image uploader

= 2.0.22: August 9, 2018 =

* Enhancements:
  - Added an ability to filter user's profile slug "um_change_user_profile_slug"
  - Added an ability to filter pages for exclude restriction content settings "um_exclude_posts_from_privacy"

* Bugfixes:
  - Fixed callback functions in member directory search
  - Fixed Profile Privacy Settings for different languages
  - Fixed security vulnerabilities (File/Image uploader)
  - Fixed security vulnerabilities (HTML arguments)
  - Fixed search in members directory for some cases, when metadata format isn't correct
  - Fixed some cases in conditional logic
  - Fixed WP Capabilities list for Gravity Forms
  - Fixed View Profile capabilities

* Deprecated:
  - Filters "um_before_user_upload", "um_after_user_upload"

= 2.0.21: July 9, 2018 =

* Bugfixes:
  - Fixed search in members directory by User Tags field (other case)

= 2.0.20: July 6, 2018 =

* Bugfixes:
  - Fixed search in members directory by User Tags field

= 2.0.19: July 5, 2018 =

* Bugfixes:
  - Fixed few JS file's full versions
  - Fixed search in members directory by multiselect/radio/checkbox field
  - Fixed first activation role metadata reset

= 2.0.18: July 4, 2018 =

* Enhancements:
  - Added an ability to create different email templates for each site on multisites installs
  - Added major version notice
  - Added an ability to make Profile Form visible for 2 or more roles
  - Added ability to dismiss some UM notices
  - Redesign some parts of field's conditional logic settings

* Bugfixes:
  - Fixed PHP memory limit issue on some installs. Created pseudo-constructor
  - Disabled email notification to user, which wasn't approved about delete their account
  - Fixed profile tabs privacy
  - Fixed default avatars and Gravatar displaying
  - Fixed get current URL function
  - Fixed admin bar displaying
  - Fixed members directory search
  - Fixed nav-menu items restriction handlers
  - Fixed user displaying on multisite (added 404 error in some cases)
  - Fixed XSS at wp-admin settings screen
  - Fixed user's "user_login" permalinks
  - Fixed user's capabilities ("Edit", "Delete" user) and profile actions displaying
  - Fixed field's conditional logic
  - Fixed issue with account button ID's duplicates

* Deprecated:
  - REST API user's key option;

= 2.0.17: May 30, 2018 =

* Enhancements:
  - Added UM dashboard widget for getting latest extension's upgrades

* Bugfixes:
  - Fixed User Profile restriction when the user isn't logged in
  - Fixed Profile Tabs displaying on desktop/mobile
  - Fixed set user status after registration on some installs
  - Fixed PHP memory limit issue on some installs with small PHP memory limit
  - Fixed PHP validation on submit UM Forms with conditional fields logic

= 2.0.16: May 23, 2018 =

* Bugfixes:
  - Fixed Profile Tabs issues

= 2.0.15: May 22, 2018 =

* Bugfixes:
  - Fixed GDPR min.js script

= 2.0.14: May 22, 2018 =

* Enhancements:
  - Added support for GDPR Personal Data Exporter
  - Added support for GDPR Personal Data Eraser
  - Added new privacy field to form builder for GDPR consent collection
  - Added GDPR privacy policy guide text
  - Added GDPR compatibility on delete user process
  - Added security to Restricted posts comments
  - Added security to custom field type `Password`
  - Deprecated time checking spam bot

* Bugfixes:
  - Fixed settings tabs for PHP7.1
  - Fixed issues with Profile Tabs
  - Fixed User Avatars
  - Fixed set user status on Registration process
  - Fixed Account Privacy tab content

= 2.0.13: May 2, 2018 =

* Bugfixes:
  - Fixed and optimized user avatars
  - Fixed Profile Menu on some installs
  - Fixed fields IDs duplicates
  - Fixed cache users count

= 2.0.12: April 30, 2018 =

* Bugfixes:
  - Fixed approving users with "Administrator" role
  - Fixed problem with URLs for upload images
  - Fixed not UM roles, which start from "um_" symbols
  - Fixed content restriction logic

= 2.0.11: April 19, 2018 =

* Bugfixes:
  - Fixed profile form JS

= 2.0.10: April 17, 2018 =

* Bugfixes:
  - Fixed Profile Form field privacy
  - Fixed conditional menu logic for 2 different nav menu hooks
  - Fixed registration form preview on wp-admin screen
  - Restored old CSS settings to "um_old_settings.css"
  - Clean user's cache

= 2.0.9: April 15, 2018 =

* Bugfixes:
  - Fixed registration form role

= 2.0.8: April 13, 2018 =

* Bugfixes:
  - Fixed license activation

= 2.0.7: April 13, 2018 =

* Bugfixes:
  - Fixed add rewrite rules for UM pages
  - Fixed Profile Form, Registration Form use custom settings and role
  - Fixed save settings security

= 2.0.6: April 12, 2018 =

* Bugfixes:
  - Fixed nav-menu content restriction issues for Administrator role

= 2.0.5: April 12, 2018 =

* Bugfixes:
  - Fixed old pre2.0 extensions notices
  - Fixed nav-menu content restriction issues
  - Fixed lost password URL in UM Login Form
  - Fixed restriction message on taxonomy page, which is restricted

= 2.0.4: April 10, 2018 =

* Enhancements:
  - Added activation dependencies for extensions
  - Added Licenses checking and changed Licenses page
  - Added uninstall.php file for delete permanently all UM settings
  - Added ability to register users without WP Registration enabled
  - Added visual integration WPML+UM email notifications
  - Added Account Upgrade email notification
  - Added ability to register users using role field on Registration Form
  - Added Account page shortcodes for each tab content
  - Changed UM Option View (deprecated/added options)
  - Changed UM Roles, optimized for WP native logic
  - Changed backend forms/fields to WP native styles
  - Changed Content Restriction feature for posts, taxonomies, menus
  - Changed Email Notifications settings and using templates logic
  - Deprecated Redux Framework
  - Deprecated old unusable options
  - Deprecated old unusable forms metadata
  - Deprecated old unusable member directories metadata
  - Deprecated old unusable user roles metadata
  - Optimized registration/upgrade profile process (some hook deprecated)
  - Optimized some code parts, deprecated some functions
  - Updated `FontAwesome` library
  - Removed addons to separate extensions
  - Created Plugin Updater for getting updates and license details from Shop
  - Increased integration abilities, added new hooks (see new Hooks Docs + PHP documentation);
  - Integrated plugin activation, user creation processes with multisite
  - Make dependencies with extensions
  - OOP structure without procedural methods for wp-admin side;

* Bugfixes:
  - Fixed avatars on some SSL installs
  - Fixed some vulnerabilities
  - Fixed integrations with core/extensions
  - Fixed `Edit Profile` button at members directory
  - Fixed conditional logic PHP validation and JS validation (for IE,Edge browsers)
  - Fixed textdomains for translations
  - Fixed integration with Woocommerce, SEO Framework, WPML
  - Fixed navigation menu items custom fields (`Mega Menu`, etc. compatibility)
  - Fixed theme conflicts with UM js libraries
  - Fixed and optimized handlers for user permalinks
  - Fixed replace placeholders for users
  - Fixed conditional fields logic
  - Fixed fields sanitize for remove XSS injections

= 1.3.88: July 25, 2017 =

* Enhancements:
  - Add new filter hook `um_add_user_frontend_submitted`
  - Add class for member tagline in directory grid `um-member-tagline-<field key>`
  - Add recaptcha support and submit button id
  - Update extensions page layout

* Bugfixes:
  - Fix Conditional Logic fields
  - Fix required field with specific roles in privacy
  - Remove wpautop from biography
  - Remove notices

= 1.3.87: June 24, 2017 =

* Bugfixes
  - Fix system info

= 1.3.86: June 19, 2017 =

* Enhancements:
  - Update readme.txt


= 1.3.85: June 19, 2017 =

* Enhancements:
  * Add new filter hook to modify the profile cancel uri for redirection
    * `um_edit_profile_cancel_uri`
  * Add new filter hook to modify the specific field type's value
    * `um_edit_{$type}_field_value`
  * Add new filter hook that modies the file name
    * `um_upload_file_name`
  * Update en_US translation files

* Bugfixes:
  * Fix file clean up with image/file fields on profile update
  * Fix text domain slug for wp.org translation compatibility
  * Fix change password email notification
  * Fix double click submission in registration forms
  * Fix custom field role validation
  * Fix conditional logic 'content block' field
  * Fix conditional logic field operators and visibility
  * Fix textarea field sanitation
  * Fix system info false positive virus scan results
  * Fix field validation for minimum and maximum numeric values
  * Fix used custom fields visibility in form builders
  * Fix cache user's profile option description
  * Fix double click for android device
  * Fix png image upload with transparency
  * Fix extra slashes in form edit view when invalid input fields occur
  * Remove notices


= 1.3.84: April 18, 2017 =

* Enhancements:
  * Adds new action hooks before and after WP_User_Query.
    * `um_user_before_query`
    * `um_user_after_query`
  * Adds a dismiss link in locale / language translation notices
  * Adds correct user profile url in WPML language switcher
  * Adds new option to disable name fields in account page
    * `UM > Settings > Account > Disable First & Last Name fields`
  * Add new filters to modify upload base directories
    * `um_multisite_upload_sites_directory`
    * `um_multisite_upload_directory`
  * Adds new action hook in admin > user edit > Ultimate Member to append any customisation
    * `um_user_profile_section`
  * Adds H2 for UltimateMember section to Add/Edit User Form

* Bugfixes
  * Fix image url cache filter
  * Fix PHP 7.1+ compatibility issues
  * Fix UTF8 encoding in form fields
  * Fix hide member directory option.
  * Fix conditional logic fields.
  * Fix login access settings for logged-in users.
  * Fix WP role synchronisation on UM role update
  * Fix WP authenticate filter hook
  * Fix radio and checbox field active state colors when disabled.
  * Fix Content Availability conditional fields in edit/add category screens
  * Remove notices

= 1.3.83: February 20, 2017 =

* Enhancements:
   * Adds user avatar's alternate text.  The default text is set to `display_name`
   * Adds new filter hook to modif the user avatar's alternate text.
       * `um_avatar_image_alternate_text`
   * Set gravatar for newly registered users
   * Adds Tag archive page access settings

* Bugfixes
   * Remove pointer cursor from field areas in profile view mode
   * Fix profile slug in permalinks
   * Fix URL field 'nofollow' issue
   * Fix field icons display
   * Fix an issue with admin roles in editing fields
   * Fix whitepspace issue with Email Address validation
   * Fix profile visibility option in member directories
   * Fix icon display as label in profile view
   * Fix PHP 7.1.1 compatibility
   * Fix redirection on update profile slug
   * Fix dynamic CSS options in member directory
   * Fix edit profile option by specific role
   * Fix Vkontakte view
   * Remove notices

= 1.3.82: January 31, 2017 =

* Enhancements:
   * Add filter hook to disable secure account fields
      * `um_account_secure_fields__enabled`
   * Updates ReduxFramework to version 3.6.2
   * Adds a body class in profile/user page for the current loggedin user
      * `um-own-profile`

* Bugfixes
   *  Fix select/multi-select field options translation
   *  Fix profiles visibility and access permissions in member directories
   *  Fix User deletion in mobile browsers
   *  Fix WPML & PolyLang compatibility issues
   *  Fix field view and edit restriction
   *  Fix author name in recent comments widget
   *  Fix overwrite of multiple image and file uploads with the same filename
   *  Remove notices

= 1.3.81: January 19, 2017 =

* Bugfixes
   * Fix conditional field option with 'contains'
   * Fix WPML compatibility with UM logout

= 1.3.80: January 18, 2017 =

* Bugfixes:
   * Fix loop email notifications on user creation in the back-end

= 1.3.79: January 17, 2017 =

* Enhancements:
   * Adds new username and string validation filter hooks:
      * um_validation_safe_username_regex
      * um_validation_safe_string_regex
   * Adds new filter hook to modify conditional fields
      * um_get_field__{$field_key}
   * Change max limit of users queue's count in cache
   * Adds current logged in users WP and Community roles in the System Info
   * Adds confirmation on user deletion

* Bugfixes:
   * Fix conditional fields
   * Fix logout compatibility issues with WPML
   * Fix select option's custom callback validation
   * Fix translation strings of primary and secondary buttons on Login and Register forms.
   * Fix gender filter and results
   * Fix user deletion in account page for mobile browsers
   * Fix form rows CSS options
   * Fix default text autocomplete
   * Remove notices

= 1.3.78: December 08, 2016 =

* Bugfixes:
  * Fix menu settings compatibility issue with WP 4.7
  * Fix mobile class on account delete tab heading
  * Fixes an issue where tagline shows the current users to all members
  * Fixes notice on updating WP List Table quick edit
  * Remove notices

  = 1.3.77: November 30, 2016 =

* Bugfixes:
  * Fix set and reset password validation.
  * Remove notices

= 1.3.76: November 30, 2016 =

* Bugfixes:
  * Fix invalid security notice in set password.

= 1.3.75: November 29, 2016 =

* Bugfixes:
  * Fix 'Invalid user ID' on profile update

= 1.3.74: November 29, 2016 =

* Enhancements:
  * Improves clear users cache.
  * Removes user id from redirect URL on registration process for pending review and email activation statuses.

* Bugfixes:
  * Fix assigning of role on registration process
  * Fix change email address in edit mode.
  * Fix change password validation.
  * Removes notices when role field is present in the profile form.


= 1.3.73: November 17, 2016 =

* Enhancements:
  * Adds a filter hook to modify the submitted details on registration process
      * `um_before_save_filter_submitted`
  * Adds a filter hook to disable canonical link in header
      * `um_allow_canonical__filter`
  * Adds a filter hook to modify the auto-generated email address on registration process
      * `um_user_register_submitted__email`
  * Adds filter hooks to modify locale, language file path and textdomain
      * `um_language_textdomain`
      * `um_language_locale`
      * `um_language_file`
  * Adds filter hook to modify the data of selected value:
      * `um_is_selected_filter_data`
  * Adds new select/multi-select options to retrieve options from a callback.
      * In the form builder, edit or add a select/multi-select field and add your callback function in `Choices callback` field to get populated.
  * Adds parent select field option to dynamically populate another select field.
      * If `Choices Callback` option is set in the field settings,  the `Parent Option` triggers an Ajax request to populate the child options on `change` event.
  * Updates `um.min.js` file.
  * Updates `en_US` translation file.

* Bugfixes:
  *  Removes notices from WPCLI console.
  *  Removes notices from edit profile mode
  *  Removes autocomplete from search filter fields
  *  Fix translation strings of search filters on a member directory
  *  Fix email notifications not sending on registration process
  *  Fix field selection with special characters on form submission
  *  Fix assigning of role on register submission process

= 1.3.72: October 10, 2016 =

* Enhancements:
  *  Improves the bulk filters, actions and redirection in `User Screens`
  *  Adds new access options to disallow access on homepage and category pages.
  *  Adds Textarea to show in profile tagline on Member Directory
  * Adds a filter hook `um_allow_frontend_image_uploads` to allow profile and cover photo uploads on front-end pages.
  * Adds new filter hooks to modify image field data on upload:
      * `um_image_handle_global__option`
      * `um_image_handle_{$field}__option`
  * Adds a new filter hook to modify the redirection of non logged in users who visit the parent user page.
     * `um_locate_user_profile_not_loggedin__redirect`
  * Improves generate dummies tool with `wp_remote_get`
  * Adds a new action hook for a new section in cover area:
     * `um_cover_area_content`
  * Updates the English translation .po and .mo files.
  * Improves the shortcode `um_show_content` to swap the `user_id` with the current profile.

* Bugfixes:
  *  Fixes a bug where multi-select field options doesn't match the user selected options that contain html entities.
  *  Fixes a bug to display correct role slugs in radio and select fields.
  *  Fixes a bug where reset password form is conflicting with register and login form on a page.
  *  Fixes a bug where Users queue count in the Admin > `All Users / Users` menu doesn't update when a user account is in `pending user review` and gets deleted.
  * Fixes a typo in Password Reset Email option's description
  * Fixes a bug where conditional fields 'equals to' validation on registration process
  * Fixes a bug to disable the query with hiding account on member directory
  * Fixes a bug to retrieve specific number of members
  * Fixes a bug to retrieve all members with `get_members` new parameter `number`
  * Fixes a typo in Welcome Email template.
  * Fixes a bug where login form redirection is set to `wp-admin/admin-ajax.php` instead of the current page when loaded via ajax.
  * Fixes a bug where uninstall link doesn't load.
  * Fixes a bug to redirect users to correct URL after login based from login options.
  * Fixes a bug where non-logged in users are not able to access the profile page when `Global Site Access` is set to `Site accessible to Logged In Users`.
  * Fixes a bug to modify the login redirection url especially when DOING_AJAX is defined.
  * Fixes a bug to retrieve correct community roles per site in a Multisite Network setup.

= 1.3.71: September 12, 2016 =

* Enhancements:
  * Adds a new filter hook to modify the `cover photo` uri.
      * `um_user_cover_photo_uri__filter`
* Bugfixes:
  *  Fixes a bug to allow users change their password in account form
  *  Fixes a bug to allow role validation and assigning of roles to users on registration process
  *  Fixes a bug to avoid blank admin footer text all around WordPress

= 1.3.70: September 09, 2016 =

* Enhancements:
    * Adds a new filter hook to modify the profile `cover photo` uri.
        * `um_user_cover_photo_uri__filter`
* Bugfixes:
    *  Fixes a bug to allow users change their password in account form
    *  Fixes a bug to reset passwords

= 1.3.69: September 08, 2016 =

* Enhancements:
    * Adds a system information tool for support purposes
    * Adds a new option to disable generating profile slugs on every load of member directory pages.
         * Located in UM > Settings > Advanced > Stop generating profile slugs in member directory.
         * This improves the performance when loading profiles in directories. It generates profile slug on Profile Update ( front and back-end ), Registration Process and viewing the Users in the back-end.
    * Adds new filter hook `um_activate_url` to modify the account activation url.
    * Adds new filter hooks to modify first and last name cases
        * `um_user_first_name_case`
        * `um_user_last_name_case`
    * Adds new filter hooks to modify nonces of image and file uploads
        * `um_file_upload_nonce`
        * `um_image_upload_nonce`
    * Improves search member filters and keyword sensitivity
    * Improves generation of profile slugs
    * Improves force capitalization of display names with dash
    * Improves the pagination and loading of profiles in member directory

* Bugfixes:
    * Fixes a bug where users in member directory are missing after updating their profile
    * Fixes a bug to generate random email when email field is not added in a form.
    * Fixes a bug to show hidden members in member directory for admins
    * Fixes a bug to validate username length on registration process
    * Fixes a bug to display profile name in dynamic menu and profile page title
    * Fixes a bug where frequent security notices show on registration process
    * Fixes a bug to assign correct role to a user on registration process
    * Fixes a bug to display correct roles in radio and dropdown fields
    * Fixes a bug to validate the reset password
    * Fixes a bug to change the assign of role in navigation menu items
    * Fixes a bug to select radio field in profile form
    * Fixes a bug to allow frontpage and posts page to handle custom access settings
    * Fixes a bug where profile role field's conditional logic doesn't show/hide the second field.
    * Fixes a bug to show 'Last Login' field in profile edit and view mode.
    * Fixes a bug to sync roles with users in Edit Roles.
    * Fixes a bug to disable/enable UM profile cache
    * Fixes a bug to disable biography field's character limit when added in form


= 1.3.68: August 02, 2016 =

* Fixed: radio field in account page

= 1.3.67: August 02, 2016 =

* New: allow non-editable fields in registration form
* Fixed: member directory mobile pagination
* Fixed: biography field validation in profile header and forms
* Fixed: remove override 'birth date' label
* Fixed: html support in biography field
* Fixed: select options search
* Fixed: select field's search query
* Fixed: search filters and multi-select fields
* Fixed: select, radio and checkbox field options
* Fixed: multiple select in UM settings
* Fixed: member directory's pagination links
* Fixed: remove nonce and http referer from submitted user details
* Fixed: disallow direct access link to posts with enabled category access restriction
* Added: new filter hook: `um_get_default_cover_uri_filter`
* Added: new filter hook: `um_register_allow_nonce_verification`
* Added: new filter hook: `um_get_option_filter__{$option_id}`
* Added: new filter hook: ` um_profile_{$key}__filter`
* Added: new filter hook: `um_profile_{$key}_empty__filter`
* Added: new filter hook `um_enable_ajax_urls`
* Added: new filter hook `um_field_checkbox_item_title`


= 1.3.66: July 14, 2016 =

* Tweak: update translation strings and English translation file.
* Fixed: alphabetic and lowercase validations
* Fixed: checkbox and radio label encoding
* Fixed: user_login field validation type
* Fixed: registration form process
* Fixed: remove comments with hidden/private posts from comment tab

= 1.3.65: July 06, 2016 =

* Tweak: update ReduxFramework to version 3.6.0.1
* Added: new action hook 'um_registration_after_auto_login'
* Added: new option for Network Permalink Structure
* Added: an account option to require first and last name
* Fixed: account deletion and password confirmation
* Fixed: registration form submission process
* Fixed: access settings in home page and posts conflict
* Fixed: encoding non UTF8 strings

= 1.3.64: June 29, 2016 =
* Fixed: edit profile permission

= 1.3.63: June 28, 2016 =
* Fixed: admin navigation
* Fixed: profile access and redirection

= 1.3.62: June 27, 2016 =
* Fixed: access settings and redirection for logged out users
* Fixed: global access settings
* Fixed: remove notice in permalink

= 1.3.61: June 24, 2016 =
* Fixed: edit profile url in multi-site setup
* Fixed: global access settings

= 1.3.60: June 23, 2016 =
* Fixed: change password
* Fixed: menu settings and roles
* Fixed: cropper issue with Avada theme
* Fixed: image cropper and modal
* Fixed: nonce in registration forms
* Fixed: user redirection for non-loggedin users
* Fixed: global access setting

= 1.3.59: June 17, 2016 =
* Added: filter 'um_register_hidden_role_field'
* Added: filters and action hooks in form post
* Added: cache time filter in avatar url
* Fixed: Nonces added to file uploads
* Fixed: remove notices
* Fixed: upload image cropper
* Fixed: select field multiple select
* Fixed: changing community role by admin
* Fixed: current url method in multisite setup
* Fixed: access settings

= 1.3.58: June 09, 2016 =
* Fixed: change password
* Fixed: select field overlay

= 1.3.57: June 09, 2016 =
* Fixed: admin access restriction

= 1.3.56: June 09, 2016 =
* Fixed: query of pages

= 1.3.55: June 09, 2016 =
* Fixed: select fields styles
* Fixed: select fields with accented characters
* Fixed: select fields with accented text values
* Fixed: select fields in overlay
* Fixed: admin front-end access restriction
* Fixed: pages query

= 1.3.54: June 02, 2016 =
* Fixed: remove quick edit from Built-in roles row actions
* Fixed: remove notices
* Fixed: dropdown/select fields
* Fixed: upload file extension's case sensitive issue
* Fixed: reset and change password

= 1.3.53: June 01, 2016 =
* New: generate dummy users tool
* Added: filter 'um_submit_form_error' for custom error messages
* Tweak: update compressed CSS
* Tweak: update select2.js to version 4.0.2
* Fixed: gravatar and transfer tool
* Fixed: permalink base for username
* Fixed: saving account fields
* Fixed: remove notice
* Fixed: upload form error logging
* Fixed: cache option
* Fixed: edit profile url
* Fixed: login redirection
* Fixed: remove account information from welcome email
* Fixed: form error with users tags
* Fixed: select fields with accented characters
* Fixed: image upload

= 1.3.52: May 14, 2016 =
* Added: 'wp_authenticate_username_password_before' action hook
* Tweak: remove access settings in media screens
* Fixed: convert tags format
* Fixed: ReduxFramework notice
* Fixed: remove PHP notice

= 1.3.51: May 10, 2016 =
* Added: 'um_form_fields_textarea_settings' filter
* Added: reset password limit options
* Added: option to force display name to be capitlized
* Fixed: remove notices
* Fixed: redirect url on login
* Fixed: optimize query and object caching
* Fixed: profile photo as required field
* Fixed: admin access in front-end login
* Fixed: typos in tooltips
* Fixed: embedding video fields
* Fixed: Flush rewrite rules

= 1.3.50: April 21, 2016 =
* Fixed: menu incompatibility issue
* Fixed: username validation
* Fixed: admin css conflict
* Fixed: display name capitalization
* Fixed: search member filter and fields
* Fixed: member directory big SELECT query
* Added: action hook 'um_access_post_type' & 'um_access_post_type_{current_page_type}' for current page type in access settings

= 1.3.49: April 14, 2016 =
* Fixed: remove core notices from ajax requests
* Fixed: upload form and media path

= 1.3.48: April 11, 2016 =
* New: advanced option to disable profile object caching
* Added: ssl media uri function
* Added: first and last name initial as meta key
* Fixed: order by random and pagination
* Fixed: user sort by random
* Fixed: status message encoding
* Fixed: image upload and file name
* Fixed: user login with other provider
* Fixed: translation strings
* Fixed: dependencies fatal errors
* Fixed: remove notices

= 1.3.47: April 6, 2016 =
* Fixed: Fatal errors with language filter file

= 1.3.46: April 6, 2016 =
* Fixed: Search widget fatal error
* Fixed: image jpeg upload sizes

= 1.3.45: April 6, 2016 =
* New: support for wordfence and limit login
* New: search widget
* New: secondary email address
* Added: hook to password reset form fields
* Added: privacy options for profile menu tabs
* Added: option to allow primary email editable in profile view
* Added: member directory sort randomly
* Fixed: user page redirection
* Fixed: admin script error
* Fixed: invalid image path
* Fixed: upload image png with transparency
* Fixed: permalink basename fallback
* Fixed: casting variable and add new filter
* Fixed: remove notices
* Fixed: search users by tag
* Fixed: force UT8 encoding option
* Fixed: email content type
* Fixed: WPML compatibility
* Fixed: permalink base name format and redirect loop in profile page
* Fixed: form labels textdomain
* Fixed: edit profile redirect
* Tweak: accept period in profile url

= 1.3.44: March 11, 2016 =
* New: an option to force Strings to use UTF-8 encoding
* New: an option to change Gravatar default image
* New: South Sudan to the list of countries.
* Fixed: update profile edit
* Fixed: remove feed from content restriction
* Fixed: search username query
* Fixed: support for server query string data after user login
* Fixed: matching fields values
* Fixed: email template path
* Fixed: shortcode within [um_show_content] shortcode
* Tweak: remove notices

= 1.3.43: March 5, 2016 =
* Fixed: redirect URL after login
* Fixed: security check in registration form
* Fixed: email template path string
* Fixed: member directory query

= 1.3.42: March 3, 2016 =
* Fixed: email template and localization
* Fixed: redirect URL

= 1.3.41: March 3, 2016 =
* Fixed: Registration form redirect url

= 1.3.40: March 3, 2016 =

* New: filter `um_<field_type>_form_show_field` for display field
* New: shortcode: show custom content to specific role [um_show_content roles='member'][/um_show_content]
* New: 'not' attribute to [um_show_content not='member,contributor'][/um_show_content] shortcode
* Tweak: update masonry script
* Tweak: sql concatenate with prepare statement
* Fixed: remove notices
* Fixed: missing mCSB_buttons.png
* Fixed: set Gravatar default image as UM default image
* Fixed: fix default gravatar image
* Fixed: select2 multi dropdown for wc orders
* Fixed: show admin bar option
* Fixed: session issue with logout
* Fixed: register using email address if it exists
* Fixed: duplicate full_name permalinks
* Fixed: duplicate profile
* Fixed: show admin bar for non-logged in users
* Fixed: honorifics in full name
* Fixed: unsynced wp role
* Fixed: display wp user role filters
* Fixed: select and radio invalid value
* Fixed: email template path
* Fixed: user profile url with single dash in the last name
* Fixed: function to check meta value existence by meta key
* Fixed: um-admin-dashboard warnings
* Fixed: community role field in profile edit screen
* Fixed: mismatched roles
* Fixed: admin access in profiles
* Fixed: allow multiple member directory shortcode in a page
* Fixed: datepicker for ios and safari
* Fixed: adding of members in wp-admin
* Fixed: Fix redirection and XSS issue in login form

= 1.3.39: February 24, 2016 =

* New: add gravatar transfer tool
* New: show users with gravatar photo in member directory
* New: add upgrade class for data migration
* Tweak: Set last login for new users to show in member directory
* Tweak: validate roles for forms without fields
* Tweak: cropper js update
* Tweak: update minified script
* Tweak: tooltip and comment
* Fixed: member search query
* Fixed: Registration process with pending and show message enabled
* Fixed: Fix form security validation
* Fixed: email content type, template and localization
* Fixed: remove php notices
* Fixed: custom columns for roles
* Fixed: admin bar visibility per user role
* Fixed: community role editing

= 1.3.38: February 19, 2016 =

* Tweak: remove username validation
* Tweak: update minified scripts
* Fixed: Fix email and user submitted data encoding
* Fixed: role validation on register submission
* Fixed: form role and validation
* Fixed: search form pagination visibility

= 1.3.37: February 17, 2016 =

* New: Add password confirmation validation
* New: Add VK url validation
* New: Add Vkontakte as predefined url field
* New: Add additional file types
* New: Add file size limit label in image field
* New: Added password reset limit
* New: Allow redirect_to param after registration
* New: Indonesian language support added
* New: Add bio characters limit
* Tweak: Use native WP masonry script instead of duplicating it
* Tweak: Add image upload notice
* Tweak: Add option to allow users to hide profiles from member page
* Tweak: Add filters to modify output field
* Tweak: Add filter hook for email template path
* Tweak: Tweak upload form styles
* Tweak: Remove masonry from core and gulp
* Tweak: Add admin assets and apply minification
* Tweak: Update pickadate assets
* Tweak: Allowing usertags in search filters
* Tweak: Allow members template to be customized/overridden
* Tweak: Option to login user after clicking the activation link
* Tweak: Remove bio count strings
* Fixed: bio limit javascript error
* Fixed: ssl checker for load balancers
* Fixed: redirect loop with wpml permalink
* Fixed: WPML permalink and form compatibility
* Fixed: blocked words
* Fixed: searching with space
* Fixed: change password
* Fixed: members grid override
* Fixed: tipsy.js error
* Fixed: Plugin conflict causing account page displaying wrong info
* Fixed: email locale tempalte path
* Fixed: invalid role
* Fixed: validation for change password
* Fixed: unchecked access roles
* Fixed: telno input styles
* Fixed: escape display name in title attributes
* Fixed: datepicker css issue with some themes
* Fixed: make sure the hash parameter is a string
* Fixed: loading core assets
* Fixed: title tags not updated
* Fixed: empty uneditable fields
* Fixed: account deletion on one submission
* Fixed: Fixed indentation
* Fixed: user_login fallbacks and remove email address
* Fixed: password changed email template

= 1.3.36: January 6, 2016 =

* New: added in-page content restriction to protect content for logged-in or logged out users
* New: added community role field to user creation in backend
* New: added community role field to user editing in backend
* New: show specific users in members directory
* New: added a new field type: Number
* New: added filter hooks to specific profile fields
* New: added custom admin bulk actions support
* New: added usermeta support to content locking feature in-page
* Tweak: several tweaks in core to be more WordPress native
* Tweak: added fallback for page setup selections
* Tweak: automatic clickable links in profile header bio
* Tweak: trim long field labels in backend fields modal
* Fixed: profile page SEO title
* Fixed: multi-site redirect support
* Fixed: activation hash comparison
* Fixed: page setup fallback field
* Fixed: prevents php warnings and notices
* Fixed: WP-CLI and cronjobs issues
* Fixed: category posts restriction and redirection
* Fixed: category access settings
* Fixed: activation link

= 1.3.35: December 15, 2015 =

* Fixed: registration/login issues resolved

= 1.3.34: December 15, 2015 =

* New: new privacy option for fields: allow profile owner & specific roles to view the field
* Fixed: wrong php syntax in admin notice

= 1.3.33: December 15, 2015 =

* Fixed: Member search on homepage
* Fixed: emoticons support
* Fixed: redux notices, css styles in admin
* Fixed: users not being deleted

= 1.3.32: December 10, 2015 =

* Fixed: array format and notices
* Fixed: users search, delete confirmation and role filter
* Fixed: unique key field validation

= 1.3.31: December 9, 2015 =

* Fixed: Add slash in base url filter for multisite
* Fixed: manage user roles, status and filters
* Fixed: Enable WPML support to all UM url/links
* Fixed: Sanitize referers and printing notices in admin screens

= 1.3.30: December 3, 2015 =

* New: added Simplified Chinese language support
* Tweak: added many new filters (for developers)
* Fixed: Display name update in profile
* Fixed: Photo upload unique IDs
* Fixed: Remove duplicated method um_convert_tags

= 1.3.29: October 31, 2015 =

* New: added new documentation links to plugin files
* New: added filters to control profile photo menu (for developers)
* Fixed: added security patch to remove decrypted passwords from database
* Fixed: bug with blocked words during registration
* Fixed: some localization strings
* Fixed: php warnings/bugs on specific installs

= 1.3.28: October 13, 2015 =

* Fixed: Bug with plugin folder structure

= 1.3.27: October 13, 2015 =

* Fixed: Role name display in Users dashboard

= 1.3.26: September 25, 2015 =

* New: added Greek language support
* Tweak: added custom class to every user meta in member directory
* Tweak: added option to stop flushing rewrite rules every load (performance tweak)
* Fixed: WPML issue on multisite install
* Fixed: Removed redux menu from tools
* Fixed: fix for wp_authenticate_username_password()
* Fixed: searching users by e-mail address
* Fixed: conflict with sites with thousands of pages

= 1.3.25: September 7, 2015 =

* Fixed: 404 error on UM pages

= 1.3.24: September 6, 2015 =

* Tweak: saved some database queries
* Tweak: plugin not compatible with cache plugins out of the box - needs to exclude dynamic urls from cache
* Tweak: added more development filters in backend

= 1.3.23: September 2, 2015 =

* Fixed: PHP strstr() notice on profile

= 1.3.22: September 2, 2015 =

* Fixed: compatibility bug with older PHP versions

= 1.3.21: September 2, 2015 =

* Tweak: added security by sanitizing file/image uploads
* Fixed: issue with account page > notifications tab
* Fixed: image upload path in email notification
* Fixed: php issue with displaying name
* Fixed: missing localisation strings
* Fixed: couple of php notices

= 1.3.20: August 28, 2015 =

* New: added security measure for profile photo uploads
* New: added filter to hook in registration details sent in email notification
* New: added core pages filter to allow you change pages of extensions within plugin settings (e.g. activity)
* Fixed: multi-select field filtering bug
* Fixed: strip slashes from field names in fields modal
* Fixed: show drag and drop footer content only in the drag and drop form builder page
* Fixed: profile photo crop/upload issue
* Fixed: category/post specific restriction conflict
* Fixed: display UM classes only in UM pages
* Fixed: minor code improvements

= 1.3.19: August 20, 2015 =

* Fixed: please update - profile issue

= 1.3.18: August 20, 2015 =

* New: filter for comment types tab in profile
* New: jQuery.scrollto script added (for developers and extensions support)
* Fixed: XSS vulnerability in text input
* Fixed: user goes to profile about tab after editing profile

= 1.3.17: August 13, 2015 =

* New: added Brazilian Portuguese language support
* Tweak: added support for upcoming social activity extension

= 1.3.16: August 11, 2015 =

* New: added option to restrict categories in addition to per post content restriction
* New: added support to use dynamic user/profile ID in shortcode field e.g. [your-shortcode user_id={profile_id}]
* New: added security feature to disable admin logging via frontend (optional)
* New: added filter to um_get_core_page() function (for developers)
* Tweak: removed delay from tooltips
* Fixed: conflict with Podcast feed

= 1.3.15: August 4, 2015 =

* Fixed: issue with logout from adminbar

= 1.3.14: August 4, 2015 =

* New: added last login date support
* New: show user's last login in profile
* New: added sorting members by last login date
* New: added option to re-assign core pages in plugin settings
* Fixed: issue with multi-select required field
* Fixed: URL validation for custom fields
* Fixed: backend user filtering by non-english role
* Fixed: RTL css bugs

= 1.3.13: July 22, 2015 =

* Fixed: Woocommerce manual order dropdown conflict

= 1.3.12: July 22, 2015 =

* New: ability to delete user cache from plugin dashboard
* New: function is_ultimatemember() checks if user is on UM page (developers)
* New: option to disallow editing email in account page
* New: added Spanish (Mexico) language support
* Fixed: bug with profile viewing and user roles
* Fixed: Woocommerce dropdown bugs/conflicts
* Fixed: ipad/tablet css fixes for profile columns
* Fixed: deleting users delete their content

= 1.3.11: July 8, 2015 =

* Fixed: Redux errors and popups in backend

= 1.3.1: July 7, 2015 =

* Fixed: major issue with showing HTML in profiles

= 1.3.0: July 7, 2015 =

* New: easily sync UM roles with WP roles with role settings
* New: first steps towards WPML compatibility
* New: option to show member results only If user has searched
* New: add .um-err class to UM form if the form contains errors
* New: updated redux framework to latest version
* Fixed: feed issue with private / access locked posts

= 1.2.997: June 21, 2015 =

* New: added support for Farsi / Romanian language
* Tweak: adapted core community roles to prevent conflicts
* Fixed: bug with search results pagination
* Fixed: issue with panic key usage and wp-admin screen
* Fixed: bug with custom field validation action

= 1.2.996: June 11, 2015 =

* Fixed: php notice causing errors to appear in both frontend and backend

= 1.2.995: June 11, 2015 =

* New: added required support for WooCommerce extension
* Tweak: added option to fix conflicts of user profile links using different server method to get current url
* Fixed: security fix for redux framework added
* Fixed: button appearance on tablets
* Fixed: member search by display name

= 1.2.994: June 6, 2015 =

* Tweak: added a filter hook to change priority of enqueued styles/scripts
* Fixed: UM forms and elements not appearing in IE
* Fixed: Skype field output
* Fixed: conflict with libraries using Mobile Detect
* Fixed: issue with WP locale (using get_locale() now instead)

= 1.2.993: May 29, 2015 =

* Fixed: correction to last update
* Fixed: Private messages extension bug

= 1.2.99: May 29, 2015 =

* New: added Czech language support
* Fixed: WooCommerce dropdown issues and bugs in backend

= 1.2.98: May 18, 2015 =

* New: added Google map field
* New: added Vimeo video field
* New: added YouTube video field
* New: added SoundCloud track field
* New: added Hebrew language support
* Tweak: do not show captcha response in submitted registration details
* Fixed: profile photo upload issue on profile view mode
* Fixed: user search in backend/frontend
* Fixed: UM login check
* Fixed: admin settings css issue on mobile
* Fixed: cache variable undefined issue

= 1.2.97: May 13, 2015 =

* Fixed: issue with image upload fields
* Fixed: date localization resolved
* Fixed: issue with image upload during registration
* Fixed: JS issues for PM extension

= 1.2.96: May 12, 2015 =

* New: hooks and compatibility with Private Messages extension
* Fixed: bug with empty password on welcome e-mail
* Fixed: bug with member search using default permalinks

= 1.2.95: May 9, 2015 =

* New: RESTful API methods update.user, get.stats, and delete.user
* New: added Danish (Dansk) support
* New: added Swedish (Svenska) support
* Tweak: minor account and logout redirection tweaks
* Fixed: issue with changing user role
* Fixed: bug with login form validation
* Fixed: issue with biography field and html

= 1.2.94: May 6, 2015 =

* Fixed: bug with activation e-mails
* Fixed: bug stopping password reset
* Fixed: bug with changing user role and status in backend

= 1.2.93: May 5, 2015 =

* New: user profiles are cached to speed up load time
* New: emoji support added to bio / user descriptions
* Fixed: issues with bio field HTML
* Fixed: WP-admin PHP warning
* Fixed: bug with localization of en_US.po file

= 1.2.92: May 2, 2015 =

* New: Important: Introduces the Ultimate Member RESTful API
* Tweak: improved um_user_ip() function
* Fixed: issue with invalid html on profile photo and cover photo

= 1.2.91: April 30, 2015 =

* New: added custom field validation support via hooks um_custom_field_validation_{$hook}
* Fixed: important bug with profile menu tabs / system

= 1.2.9: April 29, 2015 =

* New: display pending users count in backend
* Tweak: improved user deletion process from backend
* Tweak: tweaked filter for register/login buttons
* Tweak: disabled registration timebot for admins
* Fixed: wp-load.php path in image and file upload scripts
* Fixed: RTL compatibility bugs
* Fixed: bug with registration and role field
* Fixed: bug with edit profile and biography length in header

= 1.2.8: April 25, 2015 =

* Fixed: Important WP 4.2 conflict resolved: filtering users in backend

= 1.2.7: April 25, 2015 =

* Tweak: Compatible with WordPress 4.2
* Tweak: general code tweaks and improvements
* Tweak: new action hook when user is deleted
* Tweak: new action/filter hooks for profiles (developers)
* Tweak: new filter hook for profile privacy option
* Fixed: permalink issues

= 1.2.6: April 22, 2015 =

* Fixed: password reset security fix ( do not reveal emails )
* Fixed: bug with custom profile templates
* Fixed: display name in member directories
* Fixed: URL fields display in member directory
* Fixed: many bugs with previous version

= 1.2.5: April 21, 2015 =

* Fixed: e-mail activation bugs

= 1.2.4: April 20, 2015 =

* New: added Russian language support
* Fixed: Security patch related to add_query_arg()
* Fixed: bug with approval HTML e-mail

= 1.2.3: April 16, 2015 =

* Fixed: major bug with admin capability / editing user profiles via frontend

= 1.2.2: April 15, 2015 =

* New: added caching to user roles and user permissions to save queries
* New: added user switching feature to allow super admins to sign in as another user easily (without password)
* New: added new modal css/js for future support
* New: added custom scrollbar support for future development use
* Tweak: added form elements focus css
* Fixed: bug with required radio button
* Fixed: prevent access for backend login/register/lost password for a logged in user

= 1.1.6: April 7, 2015 =

* Fixed: major bug with datepicker (Update recommended)

= 1.1.5: April 4, 2015 =

* New: new action hook that runs when user role is changed um_member_role_upgrade
* Fixed: bug/compatibility issue with caching UM roles data
* Fixed: bug with changing role settings/permissions
* Fixed: bug with setting e-mail activation redirect URL

= 1.1.4: April 2, 2015 =

* Fixed: Major bug with dropdown and date fields (Update recommended)
* Fixed: hard-coded translation issues

= 1.1.3: April 1, 2015 =

* New: added option to manage if access control widgets can be edited by admins only
* Tweak: update to last security patch - deletes user who try to get unauthorized access

= 1.1.2: March 30, 2015 =

* Fixed: Important security patch - please update
* Fixed: conflict with The Events Calendar plugin
* Fixed: bug with edit profile link

= 1.1.1: March 29, 2015 =

* Fixed: bug where you user could use an already existing e-mail in account page
* Fixed: bug with special characaters in username
* Fixed: bug with showing draft posts in user profile

= 1.1.0: March 27, 2015 =

* New: added multi language support to assign different languages to different forms (beta feature)
* New: added RTL support (beta, still partial)
* New: added a dashboard widget to view latest blog posts from the plugin
* Tweak: changed manage_options permission to edit_users on some admin actions
* Fixed: corrected all active color references in the css
* Fixed: bug with user_row_actions filter
* Fixed: do not store user_pass in submitted metakey during registration

= 1.0.96: March 25, 2015 =

* New: Added Arabic language (ar) support
* Fixed: Date fields not working in Safari
* Fixed: issue with HTML e-mails
* Fixed: issue with showing sidebar logout widget on bbpress forums

= 1.0.95: March 24, 2015 =

* Tweak: added more hooks to mail function to allow for sending custom e-mails
* Fixed: issue with content lock settings in backend appearing for non-admins
* Fixed: issue with form errors handling

= 1.0.94: March 23, 2015 =

* Fixed: bug with member directory search
* Fixed: bug with custom role homepage

= 1.0.93: March 22, 2015 =

* Fixed: bug with showing register and login forms on same page

= 1.0.92: March 20, 2015 =

* New: added option to customize redirection URL after e-mail activation
* Fixed: issue with hardcoded ajax/upload URLs - they are now localized
* Fixed: issue with admin notification for a deleted account
* Fixed: admin notifications are in plain text format

= 1.0.91: March 20, 2015 =

* Tweak: featured image in user posts goes to post link
* Fixed: solved a bug with e-mail validation

= 1.0.90: March 19, 2015 =

* Tweak: minor admin css changes
* Tweak: error message for frontend upload with theme/plugin conflicts

= 1.0.89: March 18, 2015 =

* Tweak: Major Performance Improvements (beta)

= 1.0.88: March 18, 2015 =

* Fixed: bug with viewing member profiles

= 1.0.87: March 17, 2015 =

* Tweak: profile edit form tweaked to be processed for profile edit only. allows you to have custom (not nested) valid forms in other profile tabs

= 1.0.86: March 16, 2015 =

* Tweak: UM admins can see unapproved users on front-end members directory
* Fixed: few misspelling errors
* Fixed: bug with custom profile templates (showing blank) resolved

= 1.0.85: March 14, 2015 =

* New: added option to show user social links in profile header (optional)
* New: added option to display post featured image in profile "posts" tab
* Tweak: improved error reporting for theme conflicts on photo upload
* Fixed: issue with comments tab on profile

= 1.0.84: March 13, 2015 =

* New: adds automatic body class to UM core pages automatically
* Fixed: important jQuery issue
* Fixed: upload security issue - extension error was empty

= 1.0.83: March 12, 2015 =

* New: added a logout template If user is already logged in (customizable)
* New: strong password formula not required when resetting password (optional)
* Fixed: jQuery issue with live() method - Thanks to Jim Wetton

= 1.0.82: March 11, 2015 =

* Fixed: issue with saving user account general tab

= 1.0.81: March 11, 2015 =

* New: official support for plugin extensions released

= 1.0.80: March 10, 2015 =

* Tweak: added licensing support to plugin core
* Fixed: issue with account form

= 1.0.79: March 10, 2015 =

* Tweak: Redux up to date
* Fixed: security issue related to deleting a temp file via ajax
* Fixed: bug with a php warning on undefined field type

Credits to "James Golovich http://www.pritect.net" for the security checks

= 1.0.78: March 10, 2015 =

* Fixed: important correction from previous version

= 1.0.77: March 10, 2015 =

* New: integration with comments to show user profile link instead of user link (not compatible with all themes)
* New: option to control maximum size of uploaded profile photo
* New: option to control maximum size of uploaded cover photo
* Tweak: URL fields will are now treated as hyperlinks
* Fixed: bug with member directory privacy option
* Fixed: bug with using # as a character in file or image upload

= 1.0.76: March 7, 2015 =

* New: added {user_avatar_small} tag to display user photo in menu (requires extra css work)
* Tweak: Removed !important css rules from colors and backgrounds
* Fixed: issue with content block field

= 1.0.75: March 5, 2015 =

* New: improved & modern html e-mail templates
* New: addon to transfer BuddyPress profile photos to Ultimate Member (user request)
* New: added option to turn off time bot feature (fixes conflict with plugins)
* New: added built-in addons support
* Tweak: improved backend design and css

= 1.0.74: March 4, 2015 =

* Fixed: bug with numeric validation for a field
* Fixed: bug with conditional logic rules with checkbox

= 1.0.73: March 3, 2015 =

* Tweak: general code improvements

= 1.0.72: March 2, 2015 =

* Fixed: bug with e-mail activation since last update

= 1.0.71: March 2, 2015 =

* Fixed: issue with password reset link
* Fixed: issue with social links showing but user did not fill them

= 1.0.70: March 2, 2015 =

* Tweak: added a filter hook to control profile photo url
* Tweak: harder random generated passwords by making the length 40 characters for a key/password
* Tweak: added option to enable/disable custom css tab (off by default)
* Tweak: changed rewrite rules to be compatible with some themes and plugins
* Fixed: bug with Role field not showing error when required and left empty
* Fixed: bug with showing incorrect age when users did not fill their age
* Fixed: issue with template name for custom profile templates

= 1.0.69: February 28, 2015 =

* Tweak: better WP logout handling
* Tweak: new action and filter hooks added

= 1.0.68: February 27, 2015 =

* New: added support for mp3 as allowed filetype / upload
* Fixed: bug with profile privacy option (on non-english sites)
* Fixed: uncommon php warning caused by um_get_user_avatar_url() function
* Fixed: new translation corrections

= 1.0.67: February 26, 2015 =

* New: Improved the default HTML e-mail templates design
* New: added a bunch of action hooks to account tabs and content
* Tweak: added a few template tags to use in email: {site_url}, {user_account_link}
* Fixed: issue with making a checkbox required prior to registering
* Fixed: issue with comments showing in posts tab under profile
* Fixed: issue with plugin uninstallation link not showing in multisite

= 1.0.66: February 25, 2015 =

* New: added option to send e-mails as HTML
* New: added default HTML templates for e-mail notifications

= 1.0.65: February 24, 2015 =

* New: added option to customize register form secondary button URL
* New: added option to customize login form secondary button URL
* Fixed: issue with global access lock when homepage is excluded
* Fixed: issue with custom account tabs
* Fixed: minor css conflict with profile photo

= 1.0.64: February 22, 2015 =

* Tweak: updated language files on server
* Tweak: modified account page hooks to accept custom hooks easily
* Fixed: important css issues with safari browser
* Fixed: language notice will no longer show on (English UK/Other) wordpress sites

= 1.0.63: February 21, 2015 =

* Tweak: minor changes to dashboard widgets
* Tweak: cleaned dashboard js
* Tweak: a few action hooks refined
* Tweak: added filters to registration form buttons
* Fixed: issue with delete account feature

= 1.0.62: February 20, 2015 =

* New: added Polish (Polski) language
* New: added option to disable Name fields from Account page
* New: added support for custom profile templates selectable from template dropdown
* Tweak: remove rows with no fields from profile view
* Tweak: remove empty rows/row headings from profile
* Fixed: removed plain password user meta key from all users
* Fixed: issue with image upload when form has errors
* Fixed: resolved issue with disabling profile menu / tabs

= 1.0.61: February 20, 2015 =

* Tweak: Upload button text is made translatable
* Fixed: conflicts with Divi theme
* Fixed: issue with Roles dropdown field

= 1.0.60: February 18, 2015 =

* Tweak: added a protection to prevent wp-admin lockout for admin users
* Tweak: new hook for account page form submitting (for developers)
* Tweak: added a few missing translations
* Fixed: issue with roles dropdown not saving its state
* Fixed: issue with roles dropdown when made required in form
* Fixed: issue with tabbing on form fields

= 1.0.59: February 17, 2015 =

* New added Finnish language (fi_FI)
* Tweak: show e-mail column in users backend
* Fixed: issue with showing members directory on frontpage

= 1.0.58: February 16, 2015 =

* Fixed: display name as search field in member directory
* Fixed: translation issues in backend settings
* Fixed: issue with non-english letters in display names
* Fixed: bug with multiple default values for multi-select and checkbox fields
* Fixed: bug with multiple conditional logic based on different checkbox values

= 1.0.57: February 16, 2015 =

* Tweak: Italian language up-to-date
* Fixed: issue with registration where it can trigger a php warning
* Fixed: some translation issues

= 1.0.56: February 15, 2015 =

* Fixed: issue with permalink changes

= 1.0.55: February 15, 2015 =

* New: added Dutch (Nederlands) language
* New: show user registration/joined date in profile and/or member directory
* New: added facebook meta tags on user profiles (You have to disable facebook og tags in your SEO plugin)
* Tweak: sort users by default in "backend" by newest users first
* Tweak: added a close icon to profile and account notices
* Fixed: changed all time features to reflect WordPress installation time
* Fixed: timestamp on registration info shows form submission date/day
* Fixed: updated language files and new translation words

= 1.0.54: February 15, 2015 =

* New: added a remember me checkbox to login forms by default (optional)
* Tweak: keep your users signed in even if they close browser (optional)
* Tweak: minor css changes
* Fixed: bug with double redirects (causing incorrect loop) after login on some sites

= 1.0.53: February 14, 2015 =

* Tweak: when deleting users in backend, users will be deleted upon confirmation only
* Tweak: deleted users content is assigned to admin by default (to avoid losing content)
* Fixed: include plugin js and css on specific pages only

= 1.0.52: February 13, 2015 =

* Fixed: issue with users backend **update recommended**
* Fixed: preview registration info in users backend

= 1.0.51: February 13, 2015 =

* New: show registration info for each user in users backend
* New: show user stats at a glance in plugin dashboard
* New: sort users in backend by account status
* New: sort users in backend by user role
* New: added option to disable plugin css and js on homepage
* Tweak: updated language and translations files
* Fixed: issue with changing user role from Profile page
* Fixed: php bug with user description that has links
* Fixed: small issue with rewrite rules

= 1.0.50: February 12, 2015 =

* New: added option to include plugin js/css only on specific pages (user suggestion)
* Tweak: image and file uploads tweaked
* Fixed: date and time picker localization
* Fixed: bug with date and time fields
* Fixed: issue with searching members with default permalinks used
* Fixed: minor css fixes

= 1.0.49: February 10, 2015 =

* New: added option to disable UM menu (fixes conflict with mega-menu on some themes/plugins)
* New: added option to disable strong password in Account / Password change tab
* New: added a notice to Account page when user updates account
* Fixed: issue with global access settings

= 1.0.48: February 10, 2015 =

* New: added translation downloader/updater in plugin dashboard
* New: added admin notice when language is updated or downloaded
* Tweak: redirect to login page by default if content is restricted
* Tweak: redirect back to the protected content after successful login
* Tweak: small modifications to plugin admin css
* Fixed: issue with registration form per role not appearing (when logged in)
* Fixed: image and file uploads strip illegal characters from file name
* Fixed: small issue with mandrill plugin
* Fixed: bug with role creation that have used slugs that exist in database

= 1.0.47: February 9, 2015 =

* New: A more native dashboard for Ultimate Member
* New: view your temp uploads directory size and purge it from dashboard
* Fixed: user uploads bug with handling photo uploads at once
* Fixed: issue with using UM role as search filter in directory
* Fixed: a little icon issue with directory backend
* Fixed: localized a few words from predefined fields

= 1.0.46: February 8, 2015 =

(Update Recommended)

* New: added Spanish language pack
* Fixed: important JS conflict in admin when UM is active
* Fixed: profile permalink issue for e-mail usernames
* Fixed: installation issue on some WP databases

= 1.0.45: February 8, 2015 =

* Fixed: Multisite bug php Fatal error: call to undefined function wpmu_delete_user()

= 1.0.44: February 8, 2015 =

* Tweak: improved performance: unused user photos are deleted when user upload
* Tweak: cleaned up dashboard code
* Tweak: updated current translations
* Fixed: display name field should be updated with wp_update_user and not in usermeta
* Fixed: admin js and css should are loaded in UM backend only

= 1.0.43: February 7, 2015 =

* New: added German (Deutsch) language support
* Tweak: updated all translation packs
* Fixed: profile social links in member directory
* Fixed: prevent storing user_pass in usermeta table
* Fixed: php error triggered from um-access.php file

= 1.0.42: February 6, 2015 =

* New: added option to block specific e-mail domains from registering
* New: 2 new social profile fields: YouTube and SoundCloud
* New: added option to show field icons in profile header
* New: import/export plugin settings feature added to the backend
* New: added option to duplicate forms in backend with one click
* Tweak: cleaned up installation code
* Tweak: minor css modifications
* Fixed: adding HTML and iframe content to html-allowed textarea fields
* Fixed: upload folders permissions with some configurations and servers
* Fixed: live preview of profile forms in backend

= 1.0.41: February 5, 2015 =

* New: added access control settings to custom post types, you can have custom access settings applied to your custom post types now
* New: divider and spacing fields fully support conditional logic
* Tweak: Turkish language completed
* Tweak: updated some translations
* Fixed: a couple of PHP warnings and errors have been resolved
* Fixed: conflict with MailPoet plugin has been resolved

= 1.0.40: February 4, 2015 =

* Tweak: line-breaks and automatic urls are now working for textarea fields
* Tweak: updated ReduxFramework to latest version
* Tweak: backend sentences are now properly localized / updated translation
* Fixed: important issue with field positions in backend form builder
* Fixed: issue with usernames that have spaces resolved
* Fixed: conflict with page title in bbpress forums resolved
* Fixed: issue with escaping the apostrophes resolved
* Fixed: issue with loading more posts/comments in profile resolved

= 1.0.39: February 3, 2015 =

* New: added support for child templates to allow customizing the templates of plugin via theme or child theme. [See how](https://ultimatemember.com/codex/overriding-default-ultimate-member-profile-templates/)
* New: added French language pack
* Tweak: improved localization notification in backend
* Tweak: improved template loading
* Fixed: a minor css issue with multi-select field placeholder

= 1.0.38: February 3, 2015 =

* New: added a built-in automatic language pack downloader
* New: plugin now available in Italian, Turkish (40%)
* Tweak: If you need the plugin on available language pack you can download it automatically via the dashboard
* Tweak: when user updates account page the page will refresh and stay in the same tab
* Fixed: possible permalinks conflict with some wordpress themes

= 1.0.37: February 2, 2015 =

* Tweak: automatic line breaks in user description field
* Tweak: added gravatar rating parameter to the gravatar function
* Fixed: permalinks issue with customized slug for user and account pages

= 1.0.36: February 1, 2015 =

* New: URLs in user description are automatically converted to hyperlinks
* New: added option to redirect author archive to their UM profile automatically
* New: added option to show asterisk next to required fields (optional)
* New: Turkish language file (40% completed)
* Tweak: updated language file with missing sentences and words
* Tweak: auto redirect user/ base to user profile (e.g. user/username/)
* Fixed: issue with wrong comments count on user profile menu
* Fixed: issue with display name tags in nav menu
* Fixed: issue with conditional logic for select/multi-select fields
* Fixed: issue with conditional logic for content blocks and shortcode fields
* Fixed: conflict with Pods wordpress plugin

= 1.0.35: January 31, 2015 =

* Tweak: exif module is not required anymore and does not stop photo uploads (exif is highly recommended)
* Fixed: issue with changing a WP administrator role to a community administrator role
* Fixed: issue with plugin uploads directory on some multisite installations
* Fixed: conflict with default profile tab and editing profile
* Fixed: minor css conflict on account page with some themes when viewed on tablets

= 1.0.34: January 31, 2015 =

* New: added option to set a default cover photo
* New: added option to hide restricted content from search and archive
* Fixed: php error in title tab with ElegantThemes
* Fixed: theme conflict with photo/cover upload
* Fixed: issue with country field showing country code in profile
* Fixed: issue with setting default tab
* Fixed: issue with 2-name user roles

= 1.0.33: January 30, 2015 =

* New: Introducing profile menu / tab system (optional)
* New: display user posts and comments in profile menu (optional)
* New: added option to force hide adminbar on the frontend even for administrators
* Tweak: added profile menu options to plugin settings panel
* Tweak: added option to enable/disable profile menu and/or profile menu tabs
* Tweak: added option to show or hide post and comment counts (when the tabs are active)
* Tweak: account activation via e-mail redirects user to login page and displays a success message
* Fixed: issue with conditional logic on profile fields has been resolved
* Fixed: bug with searching members by gender
* Fixed: admin nav menus conditional logic conflict with some themes
* Fixed: bug with datepicker field on windows servers

= 1.0.32: January 30, 2015 =

* New: added 3 new tags to use in email templates {first_name}, {last_name}, and {gender}
* Fixed: Issue with account page permalink resolved - [view issue](https://ultimatemember.com/forums/topic/permalink-bug/)
* Fixed: Issue with conditional menu items showing for un-approved users resolved - [view issue](https://ultimatemember.com/forums/topic/registration/)

= 1.0.31: January 29, 2015 =

* Fixed: Issue with custom user page slug resolved [view issue](https://wordpress.org/support/topic/translate-plugin-9)
* Fixed: PHP warning in members directory resolved
* Fixed: Issue with hardcoded user profile URLs in menu

= 1.0.30: January 29, 2015 =

* New: added option to control number of profiles to display in members directory for mobile devices
* New: new admin action hook 'um_extend_admin_menu' to extend plugin administration menu
* New: Improved plugin accessbility e.g add alt text to links and images so people with disabilities can use screen readers
* New: added option to show/hide the message that appears if profile is empty (includes emoticon show/hide)
* Tweak: new translatable strings
* Tweak: added option to customize single-result text for members directory
* Tweak: removed unnecessary code from member directory backend
* Tweak: removed unnecessary js from admin head
* Fixed: Account page is now translatable
* Fixed: content restriction widget css in backend

= 1.0.29: January 28, 2015 =

* New: added feature to show user display name in menu (e.g. Welcome, {display_name})
* New: added option to add text to dividers (which can be added using the drag-and-drop form builder)
* New: security improvement: added whitelisted IP(s) option to allow you to access the WP-admin screen always (prevents lockout)
* New: added filter hook um_whitelisted_wpadmin_access to control access to wp-admin login screens (for developers)
* New: added custom css option to apply extra css styling rules from plugin settings
* New: added custom css option to each form allowing you to apply extra styling rules per form
* New: added option to customize profile fields area width (per form basis) besides global option
* Tweak: compatibility with default permalinks (Pretty permalinks are strongly recommended though!)
* Tweak: improved the function that gets user IP address
* Tweak: performance: inline css from the plugin is automatically compressed/minified

= 1.0.28: January 27, 2015 =

* New: added compatibility with wpMandrill to handle email delivery
* Fixed: Issue with profile edit menu not appearing

= 1.0.27: January 27, 2015 =

* Fixed: WP admin bar issue with some plugins and themes
* Fixed: conflict with WP Recent Comments With Avatars plugin

= 1.0.26: January 26, 2015 =

* Fixed: Important issue fix (update recommended)

= 1.0.25: January 26, 2015 =

* New: addded support to use gravatars (optionally) If the user does not have a custom avatar
* New: um_user_permissions_filter hook (for developer use)
* Tweak: plugin uses get_avatar() properly now
* Fixed: user avatars in backend are fixed
* Fixed: Mobile_Detect class does not throw php error if it was previously called
* Fixed: corrected a few translations errors

= 1.0.24: January 26, 2015 =

* Tweak: predefined fields are now localized (translatable)
* Fixed: PHP warning in comments was fixed
* Fixed: avatars in comments

= 1.0.23: January 25, 2015 =

* Fixed: important bugfix with profile editing

= 1.0.22: January 25, 2015 =

* New: option to set maximum profile fields area width
* New: ajax functions for future development use
* Tweak: improved profile permalinks for e-mail based usernames
* Tweak: disable user from editing username (If admin put the username field by mistake in profile)
* Tweak: minor css changes
* Fixed: ability to clear conditional logic from fields in backend
* Fixed: corrected spacing issue in a multi-column layout in profile

= 1.0.21: January 24, 2015 =

* New: Added ajax action hook for development use
* New: Extended profile hooks
* New: you can restrict / apply access control to woocommerce shop page
* Fixed: content restriction for woocommerce shop page

= 1.0.20: January 24, 2015 =

* New: Custom email is sent to user after resetting/changing password
* New: Added action/filter hooks to profile
* Tweak: Improved a few core functions
* Fixed: Encoding issue with non-english sites fixed

= 1.0.19: January 23, 2015 =

* New: Border thickness option for members directory
* New: Option to show/hide forgot password link on login form
* Tweak: Capital initials on members directory
* Fixed: Issue with row styling in form builder
* Fixed: Conditional logic bug fixes
* Fixed: Icon for conditional rules in backend
* Fixed: php warning in debug mode
* Fixed: Mobile/phone number validation fixed

= 1.0.18: January 23, 2015 =

* Fixed: Issue with drag and drop form builder
* Fixed: Form builder trash icon in backend
* Fixed: Minor css adjustments in frontend

= 1.0.17: January 22, 2015 =

* New: WordPress Multi-site compatibility for user uploads and photos
* Fixed: Searching members by username or email in directory (partial search supported)
* Fixed: Anonymous tracking
* Fixed: Minor css fixes

= 1.0.16: January 22, 2015 =

* Fixed: Settings page: tracking popup removed

= 1.0.15: January 22, 2015 =

* New: User profiles now show a cool message if the user profile field area is empty
* New: Added 'visibility' setting to all field types in backend
* Tweak: Members search function supports partial search matching
* Tweak: Deleting photo or file removes file from server
* Tweak: Deleting a user will delete all his personal uploads from the server
* Fixed: Duplicate tooltip for password field has been removed

= 1.0.10: January 22, 2015 =

* Fixed: Template tags for welcome e-mail
* Fixed: {submitted_registration} e-mail template tag

= 1.0.0: January, 2015 =

* First official release!
